import { PicklistDataItem } from "../../../../Engine/src/Engine/Core/Picklists/PicklistTypes";
interface InnerFields {
    children?: string[];
    error?: string[];
    warning?: string[];
    description?: string;
    id?: string;
    disabled?: boolean;
    visible?: boolean;
    disabledSending?: boolean;
    value?: string | undefined;
    autoValue?: string | undefined;
    autoFlag?: boolean | string;
    resourcesHash?: string;
    errorsCount?: number;
    warningsCount?: number;
    code?: string;
    picklist?: PicklistDataItem;
}
export interface ServerInnerResponse {
    [path: string]: InnerFields;
}
export interface ServerJsonResponse {
    [path: string]: ServerJsonResponseItem;
}
export interface ServerJsonResponseItem {
    ".": InnerFields;
    [value: string]: ServerJsonResponseItem | InnerFields;
}
export {};
