export type PathWithInnerFieldName = string;
export interface StringInnerViewModel {
    [path: PathWithInnerFieldName]: string;
}
export interface ServerRawResponseRootItem {
    "@": StringInnerViewModel;
}
export type PathWithMultiplicityInstanceNumber = string;
export interface ServerRawResponseItem {
    [path: PathWithMultiplicityInstanceNumber]: StringInnerViewModel;
}
export declare const isServerRawResponseRootItem: (item: ServerRawResponseRootItem | ServerRawResponseItem) => item is ServerRawResponseRootItem;
export type ServerRawResponse = Readonly<[ServerRawResponseRootItem, ...ServerRawResponseItem[]]>;
