import { InnerQueryExpression } from "../InnerQueryExpression";
export type StringMatchExpressionKind = "Exact" | "Prefix" | "Substring" | "Suffix";
export declare class StringMatchExpression implements InnerQueryExpression {
    readonly $discriminator = "StringMatch";
    readonly fieldName: string;
    readonly value: string;
    readonly matchExpressionKind: StringMatchExpressionKind;
    readonly isCaseInsensitive: boolean;
    constructor(fieldName: string, value: string, matchExpressionKind: StringMatchExpressionKind, isCaseInsensitive: boolean);
}
