import { InnerQueryExpression } from "./InnerQueryExpression";
import { SortingRule } from "./SortingRule";
import { SelectClause } from "./SelectClause";
export declare class InnerQueryRequest {
    readonly multiplicityPath: string;
    readonly selects: SelectClause[];
    readonly filter?: InnerQueryExpression;
    readonly sortingRules?: SortingRule[];
    readonly groupByRules?: InnerQueryExpression[];
    readonly skip?: number;
    readonly take?: number;
    constructor(multiplicityPath: string, selects: SelectClause[], filter?: InnerQueryExpression, sortingRules?: SortingRule[], groupByRules?: InnerQueryExpression[], skip?: number, take?: number);
}
