"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FSPrinterTaskResultStatus = exports.EfsInfoTypes = exports.NdflInfoTypes = exports.RsvInfoTypes = exports.PrinterResultTypes = void 0;
var PrinterResultTypes;
(function (PrinterResultTypes) {
    PrinterResultTypes[PrinterResultTypes["Unknown"] = 0] = "Unknown";
    PrinterResultTypes[PrinterResultTypes["Pdf"] = 1] = "Pdf";
    PrinterResultTypes[PrinterResultTypes["Excel"] = 2] = "Excel";
    PrinterResultTypes[PrinterResultTypes["Html"] = 3] = "Html";
    PrinterResultTypes[PrinterResultTypes["Xml"] = 4] = "Xml";
})(PrinterResultTypes || (exports.PrinterResultTypes = PrinterResultTypes = {}));
var RsvInfoTypes;
(function (RsvInfoTypes) {
    RsvInfoTypes[RsvInfoTypes["PersonsSection321"] = 2] = "PersonsSection321";
    RsvInfoTypes[RsvInfoTypes["PersonsSection321WithContracts"] = 3] = "PersonsSection321WithContracts";
    RsvInfoTypes[RsvInfoTypes["PersonsSection322"] = 4] = "PersonsSection322";
    RsvInfoTypes[RsvInfoTypes["PersonsRevise"] = 5] = "PersonsRevise";
})(RsvInfoTypes || (exports.RsvInfoTypes = RsvInfoTypes = {}));
var NdflInfoTypes;
(function (NdflInfoTypes) {
    NdflInfoTypes[NdflInfoTypes["PersonsReport"] = 0] = "PersonsReport";
    NdflInfoTypes[NdflInfoTypes["Registry"] = 1] = "Registry";
    NdflInfoTypes[NdflInfoTypes["SummaryTable"] = 2] = "SummaryTable";
    NdflInfoTypes[NdflInfoTypes["Revice"] = 3] = "Revice";
})(NdflInfoTypes || (exports.NdflInfoTypes = NdflInfoTypes = {}));
var EfsInfoTypes;
(function (EfsInfoTypes) {
    EfsInfoTypes[EfsInfoTypes["PersonsReport"] = 0] = "PersonsReport";
})(EfsInfoTypes || (exports.EfsInfoTypes = EfsInfoTypes = {}));
var FSPrinterTaskResultStatus;
(function (FSPrinterTaskResultStatus) {
    FSPrinterTaskResultStatus["Executing"] = "Executing";
    FSPrinterTaskResultStatus["Failed"] = "Failed";
    FSPrinterTaskResultStatus["Success"] = "Success";
})(FSPrinterTaskResultStatus || (exports.FSPrinterTaskResultStatus = FSPrinterTaskResultStatus = {}));
