import { AbsoluteModelPath, ModelPath, PathToken, ResolvedModelPath } from "./ModelPath";
export declare class ModelPathBuilder {
    private readonly parts;
    constructor(forceAbsolute?: boolean);
    get empty(): boolean;
    append(pathPart: ModelPath | PathToken | Array<ModelPath | PathToken>): this;
    toPath(): ModelPath;
    toResolvedPath(): ResolvedModelPath;
    toAbsolutePath(): AbsoluteModelPath;
    toString(): string;
}
