import { AbsoluteModelPath, ModelPath, PathToken, PathTokens } from "./ModelPath";
export declare function isAggregationPath(modelPath: ModelPath): boolean;
export declare function getMask(exactPath: AbsoluteModelPath): AbsoluteModelPath;
export declare function getMaskWithInstances(exactPath: AbsoluteModelPath): {
    mask: AbsoluteModelPath;
    instances: PathToken[];
};
export declare function replaceInstancesWithMultiplicity<T extends ModelPath>(path: T, replaceToken?: typeof PathTokens.each | typeof PathTokens.current): T;
export declare function checkIsReservedPath(path: AbsoluteModelPath): boolean;
