import { AbsoluteModelPath, IModelPath } from "../ModelPath";
import { EachCurrentCollision } from "../EachCurrentCollision";
import { Set2 } from "./Set2";
export declare class AbsoluteModelPathSet extends Set2<AbsoluteModelPath> {
    private readonly eachCurrentCollision;
    constructor(eachCurrentCollision?: EachCurrentCollision);
    static unique<R extends boolean>(paths: Iterable<IModelPath<R, true>>): Iterable<IModelPath<R, true>>;
    protected areItemsEqual(left: AbsoluteModelPath, right: AbsoluteModelPath): boolean;
    protected getItemHash(key: AbsoluteModelPath): number;
}
