import { EachCurrentCollision } from "../EachCurrentCollision";
import { ModelPath } from "../ModelPath";
import { Set2 } from "./Set2";
export declare class ModelPathSet extends Set2<ModelPath> {
    private readonly eachCurrentCollision;
    constructor(eachCurrentCollision?: EachCurrentCollision);
    static unique(paths: Iterable<ModelPath>): Iterable<ModelPath>;
    protected areItemsEqual(left: ModelPath, right: ModelPath): boolean;
    protected getItemHash(key: ModelPath): number;
}
