import { IEquatable } from "../IEquatable";
export declare class Set2<TI extends IEquatable<TI>> {
    private readonly hashMap;
    constructor(source?: Iterable<TI>);
    add(path: TI): boolean;
    remove(path: TI): void;
    has(path: TI): boolean;
    isEmpty(): boolean;
    values(): Iterable<TI>;
    clear(): void;
    protected getItemHash(key: TI): number;
    protected areItemsEqual(left: TI, right: TI): boolean;
}
