"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomErrorLogTooltipActionType = void 0;
exports.closeCustomErrorLogTooltipAction = closeCustomErrorLogTooltipAction;
exports.openCustomErrorLogTooltipAction = openCustomErrorLogTooltipAction;
var CustomErrorLogTooltipActionType;
(function (CustomErrorLogTooltipActionType) {
    CustomErrorLogTooltipActionType[CustomErrorLogTooltipActionType["Open"] = 0] = "Open";
    CustomErrorLogTooltipActionType[CustomErrorLogTooltipActionType["Close"] = 1] = "Close";
})(CustomErrorLogTooltipActionType || (exports.CustomErrorLogTooltipActionType = CustomErrorLogTooltipActionType = {}));
function closeCustomErrorLogTooltipAction() {
    return {
        type: CustomErrorLogTooltipActionType.Close,
    };
}
function openCustomErrorLogTooltipAction(anchorElement, message) {
    return {
        type: CustomErrorLogTooltipActionType.Open,
        payload: {
            anchorElement: anchorElement,
            message: message,
        },
    };
}
