import { UnitId } from "./UnitId";
export interface UnitIdImmutableSet {
    [unitId: string]: true;
}
export declare class UnitIdSet {
    static create(): UnitIdImmutableSet;
    static isEmpty(set: UnitIdImmutableSet): boolean;
    static hasItem(set: UnitIdImmutableSet, unitId: UnitId): boolean;
    static add(set: UnitIdImmutableSet, unitId: UnitId): UnitIdImmutableSet;
    static remove(set: UnitIdImmutableSet, unitId: UnitId): UnitIdImmutableSet;
}
