"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUrbanSettlementTypeCode = getUrbanSettlementTypeCode;
exports.getUrbanSettlementTypeShortName = getUrbanSettlementTypeShortName;
const TypingUtils_1 = require("../../../../../../../../../Common/TypingUtils");
const Types_1 = require("../Types");
const UrbanSettlementTypes_1 = require("./UrbanSettlementTypes");
function getUrbanSettlementTypeCode(UrbanSettlement) {
    const stringUrbanSettlement = UrbanSettlement?.toString();
    const UrbanSettlementCode = UrbanSettlementTypes_1.UrbanSettlementTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringUrbanSettlement))?.fiasKey?.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(UrbanSettlementCode)) {
        return undefined;
    }
    return UrbanSettlementCode;
}
function getUrbanSettlementTypeShortName(UrbanSettlement) {
    const stringUrbanSettlement = UrbanSettlement?.toString();
    const UrbanSettlementName = UrbanSettlementTypes_1.UrbanSettlementTypes.find(abbreviation => (0, Types_1.isMatchAbbreviation)(abbreviation, stringUrbanSettlement))?.short.toString();
    if ((0, TypingUtils_1.isNullOrEmpty)(UrbanSettlementName)) {
        return undefined;
    }
    return UrbanSettlementName;
}
