import { ICandyApiDraftTasksClient } from "../../../../../Common/CandyApiClient/ICandyApiClient";
type ProgressCallback = (done: number, total: number) => void;
export declare class CancellationError {
    code: string;
    message: string;
    constructor(message: string);
}
export declare class VerifyAndFixFnsRequirementsTask {
    private readonly candyApiDraftTasksClient;
    private readonly progressListeners;
    private readonly id;
    private readonly attachmentId;
    private canceled;
    constructor(candyApiDraftTasksClient: ICandyApiDraftTasksClient, id: string, attachmentId: string);
    startTask(): Promise<void>;
    cancel(): Promise<void>;
    progress(callback: ProgressCallback): void;
    private readonly poll;
}
export {};
