import { AbsoluteModelPath, ModelPath } from "../../../../../Common/ModelPath/ModelPath";
export declare class CalculationFunctionDependency {
    private readonly targetPath;
    private readonly dependencyPath;
    constructor(targetPath: AbsoluteModelPath, dependencyPath: AbsoluteModelPath);
    isMatchToPath(modelPath: ModelPath): boolean;
    getDependencyPath(): AbsoluteModelPath;
    getTargetByChangedPath(changedPath: ModelPath): undefined | ModelPath;
    getTargetByChangedChildrenPath(changedPath: ModelPath): undefined | ModelPath;
}
