import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IEquatable } from "../../../../../Common/ModelPath/IEquatable";
export declare enum CalculationTargetAttribute {
    Value = 0,
    Validation = 1
}
export declare class CalculationTarget implements IEquatable<CalculationTarget> {
    readonly modelPath: AbsoluteModelPath;
    readonly targetAttribute: CalculationTargetAttribute;
    constructor(modelPath: AbsoluteModelPath, targetAttribute: CalculationTargetAttribute);
    isEquals(target: CalculationTarget): boolean;
    toString(): string;
    getHash(): number;
}
