import { IEvaluationContext } from "../IEvaluationContext";
import { IExecutable } from "../IExecutable";
import { IExecutionPlanStep } from "./ExecutionPlanStep";
export declare class CalculationFunctionExecutionPlan {
    private readonly steps;
    private readonly executable;
    constructor(executable: IExecutable);
    addStep(step: IExecutionPlanStep): void;
    execute(context: IEvaluationContext): void | Promise<void>;
    toDebugString(): string;
}
