import { IEvaluationContext } from "../IEvaluationContext";
export type CalculationAction = (context: IEvaluationContext) => void | Promise<void>;
export type CalculationActionDecorator = (action: CalculationAction) => CalculationAction;
export interface IExecutionPlanStep {
    getStepExecutor(): CalculationActionDecorator;
    toDebugString(): string;
}
