import { AbsoluteModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { CalculationActionDecorator, IExecutionPlanStep } from "./ExecutionPlanStep";
export declare class IterateOverChildrenPlanStep implements IExecutionPlanStep {
    private readonly pathToList;
    private readonly sync?;
    private readonly instancesToIterate?;
    constructor(pathToList: AbsoluteModelPath, instancesToIterate?: string[], sync?: boolean);
    getStepExecutor(): CalculationActionDecorator;
    private getAsyncCalculationActionDecorator;
    private getSyncCalculationActionDecorator;
    toDebugString(): string;
}
