import { IEvaluationContext } from "../IEvaluationContext";
import { IKCExpressionRuntime } from "../KCExpressionRuntime";
import { ValidationFunctionResult, ValidationSeverity } from "./ValidationFunction";
type EvaluatorFunc = (kcExpression: IKCExpressionRuntime) => boolean | undefined | Promise<boolean | undefined>;
type MessageEvaluatorFunc = (kcExpression: IKCExpressionRuntime) => string | undefined;
export declare class KCCondition {
    static execute(context: IEvaluationContext, kcConditionEvaluator: EvaluatorFunc, message: MessageEvaluatorFunc, severity: ValidationSeverity): ValidationFunctionResult | Promise<ValidationFunctionResult>;
}
export {};
