import { ModelEvent } from "../EventManagement/ModelEvents/ModelEvent";
import { ServerChangeSet } from "../../../../../Common/CandyApiClient/Types/ChangeSet/ServerChangeSet";
export declare class ChangeSet {
    private readonly changeSet;
    private readonly includeOldValues;
    constructor(includeOldValues: boolean);
    appendEventInfo(eventArgs: ModelEvent): void;
    canBeMerged(event: ModelEvent): boolean;
    isEmpty(): boolean;
    toServerChangeSet(): ServerChangeSet;
    prependWithChangeSet(source: ChangeSet): void;
}
