import { IForm } from "../../Form/IForm";
import { GroupedErrorLog } from "../../../../../Common/CandyApiClient/Types/ErrorLog/ServerErrorLog";
import { AttachInfo } from "../../../../../Common/CandyApiClient/Types/Attachments/Attacments";
export interface IErrorLogApi {
    getErrorLog(getAttachInfo: (attachmentId: string) => AttachInfo | undefined): Promise<GroupedErrorLog>;
    resetStatuses(): void;
}
export declare class ErrorLogApi implements IErrorLogApi {
    private readonly form;
    private taskId;
    private taskStatus;
    constructor(form: IForm);
    getErrorLog(getAttachInfo: (attachmentId: string) => AttachInfo | undefined): Promise<GroupedErrorLog>;
    private getFakeErrorLog;
    private getErrorLogFromKeweb;
    private setErrorLogTask;
    private waitBeforeTaskStands;
    private waitBeforeTaskFinished;
    private checkErrorLogStatus;
    private setTaskId;
    private setTaskStatus;
    private setRequestFailedStatus;
    resetStatuses(): void;
}
