import { FullFormAction } from "../../Store/FullFormAction";
import { FullFormState } from "../../Store/FullFormState";
import { CandyPopdProtocolState } from "../../../../../../Common/CandyApiClient/Types/ErrorLog/CandyPopdProtocol";
import { ErrorLog } from "../Utils/Models";
import { AttachmentErrorLog } from "../../../../../../Common/CandyApiClient/Types/ErrorLog/AttachmentErrorLog";
export declare const defaultErrorLogState: ErrorLogState;
export interface ErrorLogState {
    modelChangedAfterCheck: boolean;
    form: ErrorLog;
    expert?: ErrorLog;
    popdProtocol?: CandyPopdProtocolState;
    attachmentErrorLogs?: AttachmentErrorLog;
}
export declare function errorLogModelReducer(state: FullFormState, action: FullFormAction): FullFormState;
export declare function errorLogReducer(state: ErrorLogState, action: FullFormAction): ErrorLogState;
