"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterdocumentType = exports.InterdocumentCheckStatus = exports.ItemErrorMessageType = void 0;
exports.isHeavyErrorLog = isHeavyErrorLog;
var ItemErrorMessageType;
(function (ItemErrorMessageType) {
    ItemErrorMessageType["external"] = "external";
    ItemErrorMessageType["navLink"] = "navLink";
    ItemErrorMessageType["text"] = "text";
})(ItemErrorMessageType || (exports.ItemErrorMessageType = ItemErrorMessageType = {}));
var InterdocumentCheckStatus;
(function (InterdocumentCheckStatus) {
    InterdocumentCheckStatus["Fail"] = "fail";
    InterdocumentCheckStatus["Success"] = "success";
})(InterdocumentCheckStatus || (exports.InterdocumentCheckStatus = InterdocumentCheckStatus = {}));
var InterdocumentType;
(function (InterdocumentType) {
    InterdocumentType["Fine"] = "fine";
    InterdocumentType["Warning"] = "warning";
    InterdocumentType["Error"] = "error";
    InterdocumentType["NotFound"] = "notfound";
})(InterdocumentType || (exports.InterdocumentType = InterdocumentType = {}));
function isHeavyErrorLog(errorLog) {
    return errorLog.hasOwnProperty("mainReportCheckLog");
}
