import { FullFormState } from "../Store/FullFormState";
import { MultiLineFilters } from "../../../Controls/MultiControls/MultiLine/MultiLineFilter";
import { MultiLineSort } from "../../../Controls/MultiControls/MultiLine/MultiLineTypes";
import { FilterResult, IFilteringStrategy } from "./IFilteringStrategy";
export declare class ClientSideFilteringStrategy implements IFilteringStrategy {
    private readonly getState;
    constructor(getState: () => FullFormState);
    performFilteringAndSorting(multilinePath: string, filteredUniqKey: string, filters: MultiLineFilters, multilineSort: MultiLineSort | undefined): Promise<FilterResult>;
}
