"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalStateActionType = void 0;
exports.showModalActionCreator = showModalActionCreator;
exports.hideModalActionCreator = hideModalActionCreator;
exports.showModalCandyDispatchActionCreator = showModalCandyDispatchActionCreator;
var ModalStateActionType;
(function (ModalStateActionType) {
    ModalStateActionType["ShowModal"] = "SHOW_MODAL";
    ModalStateActionType["CloseModal"] = "CLOSE_MODAL";
})(ModalStateActionType || (exports.ModalStateActionType = ModalStateActionType = {}));
function showModalActionCreator(options) {
    return { type: ModalStateActionType.ShowModal, payload: { ...options, isOpen: true } };
}
function hideModalActionCreator() {
    return { type: ModalStateActionType.CloseModal };
}
function showModalCandyDispatchActionCreator(options) {
    return (d, s, form) => {
        form.showCustomModal(options);
    };
}
