import { CustomFile } from "../../../../../Helpers/file";
export declare const extractFileExtension: (fileName: string) => string;
export interface FileProps {
    id?: string;
    uploadFile: CustomFile;
    errorMessage?: JSX.Element;
    warningMessage?: JSX.Element;
    driveUri?: string;
    excelUri?: string;
    status?: UploadFileStatuses;
    instancesInfo?: InstancesInFile;
    ndsTotalSum?: string;
}
export interface InstancesInFile {
    count?: number;
    description?: string;
}
export interface FilePropsWithTypeId extends FileProps {
    typeId?: string;
}
export declare enum UploadFileStatuses {
    new = "new",
    progress = "progress",
    error = "error",
    success = "success"
}
export declare enum PatchFufSteps {
    SelectCombineFufMethod = 0,
    SelectCombineSumMethod = 1,
    SelectFiles = 2,
    ErrorMessage = 3,
    LoadToForm = 4,
    ShowCombineResult = 5,
    ConfirmMerge = 6
}
export declare enum TableType {
    static = "static",
    dynamic = "dynamic"
}
export declare enum TypeFileUploadErrors {
    invalidXml = "InvalidXml",
    fufSizeTooLarge = "FufSizeTooLarge"
}
