import { IDigestApiClient } from "../../../../../Common/CandyApiClient/DigestApiClient/IDigestApiClient";
import { DigestQueryFilter } from "../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
import { PicklistQueryResponse } from "./PicklistTypes";
import { IPicklist } from "./IPicklist";
export declare class DigestApiPicklist implements IPicklist {
    private readonly digestApiClient;
    private readonly gId;
    constructor(digestApiClient: IDigestApiClient, gId: string);
    query(filter?: DigestQueryFilter): Promise<PicklistQueryResponse>;
}
