import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { IPicklist } from "./IPicklist";
export interface PicklistSourceId {
    gId?: string;
    gPaths?: string[];
}
export interface IPicklistsProvider {
    getDigestApiPicklist(gId: string): IPicklist;
    getInnerPathsPicklist(paths: readonly AbsoluteModelPath[]): IPicklist;
    getPicklist(source: PicklistSourceId): IPicklist | undefined;
}
