import { IForm } from "../../Form/IForm";
import { FullFormAction } from "./FullFormAction";
import { FullFormState } from "./FullFormState";
export interface CandyDispatch {
    <R>(asyncAction: CandyThunkAction<R>): R;
    (asyncAction: FullFormAction): void;
}
export type CandyThunkAction<R = void> = (dispatch: CandyDispatch, getState: () => FullFormState, extraArgument: IForm) => R;
