import { Store } from "redux";
import { CandyDispatch } from "./CandyReduxTypes";
import { FullFormAction } from "./FullFormAction";
import { FullFormState } from "./FullFormState";
export interface FormStore extends Store<FullFormState, FullFormAction> {
    dispatch: CandyDispatch;
    getState(): FullFormState;
}
