import { HiddenPanelAction } from "../../../Controls/FormParts/HiddenPanel/Store/HiddenPanelActions";
import { UnitAction } from "../../../Controls/FormParts/Unit/Store/unitActions";
import { CrossFitTableAction } from "../../../Controls/MultiControls/CrossfitTable/Store/crossFitTableActions";
import { MultiLineAction } from "../../../Controls/MultiControls/MultiLine/Store/multiLineActions";
import { INNAction } from "../../../Controls/ValueEditors/INN/Store/INNActions";
import { AttachmentAction } from "../../Externals/Attachments/Store/AttachmentsActions";
import { TooltipsResolveAction } from "../../TooltipsResolveActions";
import { ErrorLogAction } from "../ErrorManager/Store/ErrorLogActions";
import { ModelAction } from "../ModelStoring/Store/modelActions";
import { FormSaveStatusAction } from "../../../Controls/FormParts/Panel/FormSaveStatus/Store/FormSaveStatusActions";
import { CustomErrorLogTooltipAction } from "../../../Controls/FormParts/EmbeddedLog/ErrorList/ErrorLogTooltip/CustomErrorLogTooltipAction";
import { ImportEmployeesAction } from "../../../StaffServiceIntegration/Employees/State/ImportEmployeesAction";
import { RequisitesAction } from "../../Externals/Requisites/Store/RequisitesActions";
import { FeatureFlagsAction } from "../../Externals/FeatureFlags/Store/FeatureFlagsActions";
import { FormModalStateAction } from "../ModalManager/FormModalAction";
import { ViewModesAction } from "../../../Controls/Internals/ViewModeSelector/Store/ViewModesReducer";
import { EmployerDocumentsAction } from "../../../StaffServiceIntegration/Documents/State/EmployerDocumentsAction";
import { TabInfosAction } from "../../../Controls/MultiControls/Tabs/Store/TabInfosActions";
import { EmployeeRelativesAction } from "../../../StaffServiceIntegration/Relatives/State/EmployeeRelativesAction";
import { FormAction } from "../../Form/Store/FormActions";
import { ActionPanelAction } from "../../../Controls/FormParts/Panel/ActionPanel/Store/ActionPanelActions";
import { InstanceNumberAction } from "../../../Controls/MultiControls/InstanceNumber/Store/instanceNumberActions";
export type FullFormAction = TooltipsResolveAction | AttachmentAction | RequisitesAction | FeatureFlagsAction | CrossFitTableAction | MultiLineAction | TabInfosAction | UnitAction | ModelAction | ErrorLogAction | HiddenPanelAction | INNAction | ActionPanelAction | FormSaveStatusAction | FormAction | CustomErrorLogTooltipAction | ImportEmployeesAction | EmployerDocumentsAction | EmployeeRelativesAction | FormModalStateAction | ViewModesAction | InstanceNumberAction;
