import { ViewModel } from "../../CoreTypes";
import { LocalizedString } from "../../Localization/ILocalizer";
import { CheckType, IValidationContext, ValidationResult } from "./Bases/IValueValidator";
import { ValueValidatorBase } from "./Bases/ValueValidatorBase";
interface AttachmentValidationOptions {
    extentions: string[];
    maxSize: number;
    multiple: boolean;
}
export declare class AttachmentsValueValidator extends ValueValidatorBase {
    private readonly checkType;
    private readonly options;
    private readonly message;
    constructor(options: AttachmentValidationOptions, checkType: CheckType, message: undefined | LocalizedString);
    validate(context: IValidationContext, nodeViewModel: ViewModel): ValidationResult;
    private checkExtension;
    private checkSize;
}
export {};
