import { ViewModel } from "../../../CoreTypes";
import { LocalizedString } from "../../../Localization/ILocalizer";
import { IValidationContext, IValueValidator, ValidationResult } from "./IValueValidator";
export declare abstract class ValueValidatorBase implements IValueValidator {
    abstract validate(context: IValidationContext, nodeViewModel: ViewModel): ValidationResult | Promise<ValidationResult>;
    protected getMessage(context: IValidationContext, message: undefined | LocalizedString): undefined | string;
    asDebugString(): string;
}
