"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueValidatorBase = void 0;
class ValueValidatorBase {
    getMessage(context, message) {
        if (message == undefined) {
            return undefined;
        }
        if (typeof message === "string") {
            return message;
        }
        return message(context.localizer);
    }
    asDebugString() {
        return "ValueValidatorBase()";
    }
}
exports.ValueValidatorBase = ValueValidatorBase;
