import { ViewModel } from "../../CoreTypes";
import { IValidationContext, IValueValidator, ValidationResult } from "./Bases/IValueValidator";
export declare class CompositeValueValidatorWithForcedValidators implements IValueValidator {
    private readonly optional;
    private readonly forcedValidators;
    private readonly allValidators;
    constructor(optional: boolean, validators: IValueValidator[], forcedValidators: IValueValidator[]);
    validate(context: IValidationContext, nodeViewModel: ViewModel): Promise<ValidationResult>;
    asDebugString(): string;
}
