import { FormSettings } from "../../../../Forms/Types/FormSettings";
import { PathUtils } from "../../../Core/PathUtils/PathUtils";
import { RequisitesInfo } from "../../IForm";
export interface ICalculationFunctionModelAccessor {
    /**
     * Используется только в одном месте в 1900110
     */
    get(path: string, name: "children"): string[] | undefined;
}
export interface ICalculationFunctionValidator {
    validate(nodePath: string): void;
    validateAll(nodePaths: string[]): void;
}
export interface ICalculationFunctionCallContext {
    model: ICalculationFunctionModelAccessor;
    validator: ICalculationFunctionValidator;
    pathUtils: typeof PathUtils;
    settings: FormSettings;
    requisites: RequisitesInfo;
}
