import { PanelTabType, PanelType } from "../Controls/FormParts/Panel/PanelTypes";
import { FormSavingStatus } from "../Controls/FormParts/Panel/FormSaveStatus/Store/FormSaveStatusActions";
import { FullFormAction } from "./Core/Store/FullFormAction";
export interface FormVisualState {
    isWidePanel: boolean;
    panelState: PanelType;
    panelActiveTab: PanelTabType;
    savingStatus: FormSavingStatus;
    isFufDownloading?: boolean;
    isInnerDownloading?: boolean;
    isFrozenPanel?: boolean;
    isFrozenPopup?: boolean;
    isPopupPanel?: boolean;
    isFormReloading?: boolean;
    isHideOrgName?: boolean;
}
export declare function formVisualStateReducer(state: FormVisualState, action: FullFormAction): FormVisualState;
