import { SectionName } from "../../Controls/FormParts/Unit/UnitId/UnitId";
export interface CallInitSectionLightboxProps {
    inn: string;
    kpp: string;
    orgName: string;
    gfv: number;
    options: InitSectionFormLightboxOptions;
}
export interface PreferredInterdocumentTransferProps {
    inn: string;
    kpp: string;
    orgName: string;
    gfv: number;
    options: PreferredInterdocumentTransferOptions;
}
export interface PreferredInterdocumentTransferOptions {
    typeId: string;
    role: string;
}
export interface InitSectionLightboxPeriodModel {
    year: number;
    periodNumber: number;
    type: "quarter" | "month" | "year";
}
export interface InitSectionFormLightboxOptions {
    path: string;
    navigationPath?: string;
    period?: InitSectionLightboxPeriodModel;
    periodPath?: string;
    setToPathTrue?: boolean;
    initPage?: SectionName;
    zeroReporting?: boolean;
}
