export interface KeWebFormEditorTemplate {
    id: string;
    name: string;
}
export interface IKeWebTemplatesApiClient {
    getTemplates(): Promise<KeWebFormEditorTemplate[]>;
    loadTemplate(templateId: string): Promise<void>;
    saveAsTemplate(name: string, templateId?: string): Promise<void>;
    renameTemplate(templateId: string, newName: string): Promise<void>;
    restoreTemplate(templateId: string, name: string): Promise<void>;
    removeTemplate(templateId: string): Promise<void>;
}
