import { InnerQueryExpression } from "../../../../Common/CandyApiClient/Types/QueryCollecton/InnerQueryExpression";
import { AbsoluteModelPath } from "../../../../Common/ModelPath/ModelPath";
import { FilterExpressionTransduceVisitor } from "./CompileFilterExpression";
import { FilterAndExpression, FilterByInstancesExpression, FilterEndDateExpression, FilterEqualExpression, FilterOrExpression, FilterStartDateExpression, FilterSubstringExpression, FilterUnaryNotExpression } from "./FilterExpression";
export declare class FilterExpressionToQueryCollectionExpressionVisitor extends FilterExpressionTransduceVisitor<InnerQueryExpression> {
    private readonly multilinePath;
    constructor(multilinePath: AbsoluteModelPath);
    protected transformAndExpression(expression: FilterAndExpression): InnerQueryExpression;
    protected transformOrExpression(expression: FilterOrExpression): InnerQueryExpression;
    protected transformUnaryNotExpression(expression: FilterUnaryNotExpression): InnerQueryExpression;
    protected transformEqualExpression(expression: FilterEqualExpression): InnerQueryExpression;
    protected transformSubstringExpression(expression: FilterSubstringExpression): InnerQueryExpression;
    private getFullFieldNameFromDataPath;
    protected createDefaultResult(): InnerQueryExpression;
    protected transformByInstancesExpression(expression: FilterByInstancesExpression): InnerQueryExpression;
    protected transformEndDateExpression(expression: FilterEndDateExpression): InnerQueryExpression;
    protected transformStartDateExpression(expression: FilterStartDateExpression): InnerQueryExpression;
}
