import { AbsoluteModelPath } from "../../../Common/ModelPath/ModelPath";
import { MultiLineFilters } from "../Controls/MultiControls/MultiLine/MultiLineFilter";
import { BindingPath } from "../Engine/Core/CoreTypes";
import { IViewModelContainer } from "../Engine/Core/Store/FullFormState";
import { AbsoluteModelFieldPath } from "../../../Common/ModelPath/AbsoluteModelFieldPath";
import { FilterExpression } from "./FilterExpressions/FilterExpression";
import { ViewModelSelect } from "./StateAccessors/ViewModelSelect";
export declare function filterInstancesBatchedAsync(viewModel: IViewModelContainer, viewModelSelect: ViewModelSelect, filterExpressions: FilterExpression[], multilinePath: BindingPath, batchSize?: number): Promise<string[]>;
export declare function isNotEmptyFilters(filters: MultiLineFilters | undefined): boolean;
export declare function getFilterKey(dataPaths: readonly AbsoluteModelPath[]): string;
export declare function resolveFilterDataPath(filterPath: string, multiplicityPath: AbsoluteModelPath): AbsoluteModelFieldPath;
