import { BindingPath } from "../Engine/Core/CoreTypes";
export declare function getIn(state: any, keys: Iterable<undefined | number | string>, defaultValue?: any): any;
export declare function setIn<T>(state: T, keys: ReadonlyArray<number | string>, value: unknown): T;
export declare function updateIn<T>(state: T, keys: readonly string[], fn: (value: any) => any, defaultValue: any): T;
export declare function deleteIn<T>(state: T, path: ReadonlyArray<number | string>, key: string): T;
export interface ControlBinding {
    path: BindingPath;
    valueName: string;
    propName: string;
}
