import { FullFormState, IViewModelContainer } from "../../Engine/Core/Store/FullFormState";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../Common/ModelPath/ModelPath";
import { BindingPath } from "../../Engine/Core/CoreTypes";
export type PrimitiveValue = string | number | boolean;
export type ViewModelValueSelect = (viewModelContainer: IViewModelContainer, path: BindingPath | AbsoluteModelPath, customValueFieldName: string) => string;
export declare function getExternalPropertyValue(state: FullFormState, path: string): PrimitiveValue;
export declare function getValueByPath(state: FullFormState, selector: ViewModelValueSelect, path: AbsoluteResolvedModelPath | string, name?: string): PrimitiveValue;
