import { FullFormState } from "../../Engine/Core/Store/FullFormState";
import { UnitId } from "../../Controls/FormParts/Unit/UnitId/UnitId";
export declare class UnitStateSelect {
    static getUnitWidth(state: FullFormState, unitId: UnitId): number | undefined;
    static setUnitWidth(state: FullFormState, unitId: UnitId, width: number): FullFormState;
    static deleteUnitWidth(state: FullFormState, unitId: UnitId): FullFormState;
    static getUnitTableWidths(state: FullFormState, unitId: UnitId): {
        [key: string]: number;
    };
    static setUnitTableWidth(state: FullFormState, unitId: UnitId, tableId: string, width: number): FullFormState;
    static deleteUnitTableWidth(state: FullFormState, unitId: UnitId, tableId: string): FullFormState;
}
