"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataDeclarationInitSourceValueSequence = void 0;
exports.isConstValueSource = isConstValueSource;
exports.isTakeFromModelValueSource = isTakeFromModelValueSource;
exports.isFetchFunctionValueSource = isFetchFunctionValueSource;
var DataDeclarationInitSourceValueSequence;
(function (DataDeclarationInitSourceValueSequence) {
    DataDeclarationInitSourceValueSequence["SETTINGS"] = "settings";
    DataDeclarationInitSourceValueSequence["DISABLED"] = "disabled";
    DataDeclarationInitSourceValueSequence["DEFAULT"] = "default";
})(DataDeclarationInitSourceValueSequence || (exports.DataDeclarationInitSourceValueSequence = DataDeclarationInitSourceValueSequence = {}));
function isConstValueSource(valueSource) {
    return typeof valueSource !== "object" || Array.isArray(valueSource);
}
function isTakeFromModelValueSource(valueSource) {
    return typeof valueSource === "object" && "model" in valueSource && valueSource.model !== undefined;
}
function isFetchFunctionValueSource(valueSource) {
    return typeof valueSource === "object" && "fn" in valueSource && valueSource.fn !== undefined;
}
