export type LambdaPath<T, TChild> = (x: NonNullable<T>) => TChild;
export declare function extractPath(lambdaSource: string | Function): string;
export declare function extractTokens(path: string): string[];
export declare class PathTokensCache {
    private readonly cache;
    getOrAdd<T, TChild>(lambdaPath: LambdaPath<T, TChild>): string[];
    has<T, TChild>(lambdaPath: LambdaPath<T, TChild>): boolean;
    get size(): number;
}
