import { IRequireContext } from "../../../common/RequireContext/IRequireContext";
import { XmlNode } from "../../../common/XmlParser/XmlNode";
import { DeserializeTracer } from "./Properties/DeserializeTracer";
import { SugarNodeBase, SugarSerializer } from "./SugarSerializer";
export interface IPropertiesContainerMetadata {
    fillFromSugarXmlNode(result: SugarNodeBase, xmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): void;
}
export interface ISugarNodeMetadata extends IPropertiesContainerMetadata {
    readonly documentationFilesRoot?: string;
    readonly documentationFilesContext?: IRequireContext;
    readonly sugarNodeName: string;
    readonly description?: string;
    canDeserialize(sugarXmlNode: XmlNode): boolean;
}
