"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultWrapperValueParser = void 0;
class DefaultWrapperValueParser {
    innerValueParser;
    defaultValue;
    constructor(innerValueParser, defaultValue) {
        this.innerValueParser = innerValueParser;
        this.defaultValue = defaultValue;
    }
    parseValue(attribute, hasAttribute) {
        const result = this.innerValueParser.parseValue(attribute, hasAttribute);
        if (result == undefined) {
            return this.defaultValue;
        }
        return result;
    }
}
exports.DefaultWrapperValueParser = DefaultWrapperValueParser;
