import { AttributeValue } from "../../../../../common/XmlParser/XmlNode";
import { DefaultWrapperValueParser } from "./DefaultWrapperValueParser";
import { ISugarAttributeValueParser } from "./ISugarAttributeValueParser";
import { RequiredWrapperValueParser } from "./RequiredWrapperValueParser";
export declare class NumberValueParser implements ISugarAttributeValueParser {
    required: RequiredWrapperValueParser;
    default: (defaultValue: number) => DefaultWrapperValueParser;
    parseValue(attribute: AttributeValue | undefined): unknown;
}
export declare class AnyExpressionValueParser<T> implements ISugarAttributeValueParser {
    required: RequiredWrapperValueParser;
    parseValue(attribute: AttributeValue | undefined): unknown;
}
