import { AttributeValue } from "../../../../../common/XmlParser/XmlNode";
import { DefaultWrapperValueParser } from "./DefaultWrapperValueParser";
import { ISugarAttributeValueParser } from "./ISugarAttributeValueParser";
import { RequiredWrapperValueParser } from "./RequiredWrapperValueParser";
export declare class StringValueParser implements ISugarAttributeValueParser {
    required: RequiredWrapperValueParser;
    default: (defaultValue: string) => DefaultWrapperValueParser;
    parseValue(attribute: AttributeValue | undefined): unknown;
}
export declare class StringArrayValueParser implements ISugarAttributeValueParser {
    required: RequiredWrapperValueParser;
    parseValue(attributeValue: AttributeValue | undefined): unknown;
}
