import { XmlNode } from "../../../../../common/XmlParser/XmlNode";
import { NodeClass, SugarSerializer } from "../../SugarSerializer";
import { DeserializeTracer } from "../DeserializeTracer";
import { Predicate } from "../../../../../../../Common/Funcs";
import { IValueSource } from "./IValueSource";
export declare class ChildrenNodesValueSource implements IValueSource {
    readonly nodeClasses: NodeClass[];
    private readonly acceptNode;
    constructor(acceptNode: Predicate<XmlNode>, nodeClasses: NodeClass[]);
    extractValue(xmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): unknown;
}
