import { XmlNode } from "../../../../../common/XmlParser/XmlNode";
import { SugarSerializer } from "../../SugarSerializer";
import { DeserializeTracer } from "../DeserializeTracer";
import { ISugarAttributeValueParser } from "../ValuesParsers/ISugarAttributeValueParser";
import { IValueSource } from "./IValueSource";
export declare class MarkupOrAttributeValueSource implements IValueSource {
    readonly attrName: string;
    readonly valueParser: ISugarAttributeValueParser;
    constructor(attrName: string, valueParser: ISugarAttributeValueParser);
    extractValue(sugarXmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): unknown;
}
