import { XmlNode } from "../../../../../common/XmlParser/XmlNode";
import { NodeClass, SugarSerializer } from "../../SugarSerializer";
import { DeserializeTracer } from "../DeserializeTracer";
import { IValueSource } from "./IValueSource";
export declare class SingleChildValueSource implements IValueSource {
    private readonly tagName;
    readonly nodeClasses: NodeClass[];
    constructor(tagName: undefined | string, nodeClasses: NodeClass[]);
    extractValue(xmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): unknown;
}
