import { ElementHandle } from "playwright-core";
import { CandyWebElementHandle } from "../Candy/CandyWebElementHandle";
export declare class PlaywrightCandyWebElementHandle implements CandyWebElementHandle {
    readonly elementHandle: ElementHandle;
    constructor(elementHandle: ElementHandle);
    textContent(): Promise<undefined | string>;
    findByCssSelector(cssSelector: string): Promise<CandyWebElementHandle | undefined>;
    pressEnter(): Promise<void>;
    click(): Promise<void>;
    focus(): Promise<void>;
    getProperty(name: string): Promise<string | undefined>;
    hover(): Promise<void>;
    type(text: string): Promise<void>;
    /** нужен для совместимости с datePicker */
    deprecatedType(text: string): Promise<void>;
    uploadFile(filename: string): Promise<void>;
    takeScreenshot(): Promise<string>;
    clear(): Promise<void>;
    setAttribute(name: string, value: string): Promise<void>;
}
