export interface CandyEditorFeatureFlag {
    [key: string]: boolean;
}
export interface CandyEditorUrlOptions {
    embeddedLogEnabled?: boolean;
    lang?: string;
    isIndividual?: boolean;
    navigationPath?: string;
    navigationQueryPath?: string;
    navigationAttachmentId?: string;
    theme?: string;
    doNotValidateFormOnStart?: boolean;
    scenario?: string;
    orgId?: string;
    allowsend?: boolean;
    isReadOnly?: boolean;
    employerId?: string;
    resourceZone?: string;
    zeroReportingEnabled?: boolean;
    "sendToSignButton.visible"?: boolean;
    "sendToSignButton.title"?: string;
    "signAndSendButton.title"?: string;
    useHeavyErrorLog?: boolean;
    useExtendedErrorLog?: boolean;
    isINNEnabled?: boolean;
    printFromEditor?: boolean;
    feedbackEnabled?: boolean;
    isFormInFormNds?: boolean;
    interdocumentTransfer?: boolean;
    innerHistoryEnabled?: boolean;
}
