export interface IKonturApi {
    getAuthInfoFromAuth(login: string, password: string): Promise<AuthInfo>;
    getAuthSid(login: string, password: string): Promise<string>;
}
export interface AuthInfo {
    authSid: string;
    externSession?: string;
}
export declare class KonturApi implements IKonturApi {
    private readonly baseUrl;
    constructor(baseUrl: string);
    getAuthInfoFromAuth(login: string, password: string): Promise<AuthInfo>;
    getAuthSid(login: string, password: string): Promise<string>;
}
