import { expect } from "@playwright/test";
import { Constructor, PageOptions } from "../Core/TestBaseClassWrapperDecorator/TestBaseClassWrapperTypes";
import { CandyPageWithNavigationBase } from "../PageBases/CandyPageWithNavigationBase";
import { CandySimplePageBase } from "../PageBases/CandySimplePageBase";
export declare function createTest<TPageObject extends CandyPageWithNavigationBase | CandySimplePageBase>(pageOptions: PageOptions, pageObjectConstructor: Constructor<TPageObject>): import("@playwright/test").TestType<import("@playwright/test").PlaywrightTestArgs & import("@playwright/test").PlaywrightTestOptions & import("./candyApiFixture").CandyApiFixture & import("./nidusClientFixture").NidusClientFixture & import("./authFixture").CandyApiFixture & import("./pageObjectFixture").PageObjectFixture<TPageObject> & import("./pageOptionsFixture").PageOptionsFixture & import("./draftInfoFixture").DraftInfoFixture & import("./presentationFixture").PresentationFixture & import("./fufCheckerFixture").CandyApiFixture & import("./forEachTests").ForEachTestFixture, import("@playwright/test").PlaywrightWorkerArgs & import("@playwright/test").PlaywrightWorkerOptions>;
export declare function createCandyUITest(pageOptions: PageOptions): import("@playwright/test").TestType<import("@playwright/test").PlaywrightTestArgs & import("@playwright/test").PlaywrightTestOptions & import("./candyApiFixture").CandyApiFixture & import("./nidusClientFixture").NidusClientFixture & import("./authFixture").CandyApiFixture & import("./pageOptionsFixture").PageOptionsFixture & import("./draftInfoFixture").DraftInfoFixture & import("./presentationFixture").PresentationFixture & import("./pageObjectFixture").PageObjectFixture<CandyPageWithNavigationBase> & import("./fufCheckerFixture").CandyApiFixture & import("./forEachTests").ForEachTestFixture & import("./uiTestPageFixture").CandyUITestFixture, import("@playwright/test").PlaywrightWorkerArgs & import("@playwright/test").PlaywrightWorkerOptions>;
export { expect };
