"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nidusClientFixture = void 0;
const test_1 = require("@playwright/test");
const NidusClientImpl_1 = require("../../../../Common/NidusClient/NidusClientImpl");
const NodeFetch_1 = require("../../../../Common/HttpClient/FetchImplementation/NodeFetch");
const EndPoints_1 = require("../../../../Common/EndPoints");
exports.nidusClientFixture = test_1.test.extend({
    nidusClient: async ({ page }, use) => {
        const nidusClient = new NidusClientImpl_1.NidusClientImpl(NodeFetch_1.nodeFetch, EndPoints_1.localNidus);
        await use(nidusClient);
    },
});
