"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pageObjectFixtureWrapper = pageObjectFixtureWrapper;
const test_1 = require("@playwright/test");
const BrowserPageWrapper_1 = require("../BrowserWrapper/BrowserPageWrapper");
const JustParentSelector_1 = require("../PageObjects/Bases/Selectors/JustParentSelector");
const PlaywrightCandyBrowserPage_1 = require("../BrowserWrapper/Playwright/PlaywrightCandyBrowserPage");
function pageObjectFixtureWrapper(pageObjectConstructor) {
    return test_1.test.extend({
        pageObject: async ({ page }, use) => {
            const candyPageWrapper = new PlaywrightCandyBrowserPage_1.PlaywrightCandyBrowserPage(page);
            await use(new pageObjectConstructor(new BrowserPageWrapper_1.BrowserPageWrapper(candyPageWrapper), new JustParentSelector_1.JustParentSelector()));
        },
    });
}
