"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.presentationFixture = void 0;
const test_1 = require("@playwright/test");
const candyApiFixture_1 = require("./candyApiFixture");
const draftInfoFixture_1 = require("./draftInfoFixture");
exports.presentationFixture = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture, draftInfoFixture_1.draftInfoFixture).extend({
    presentations: {},
    setPresentations: [
        async ({ page, draftInfo, candyApi, presentations, pageOptions }, use) => {
            await candyApi.setPresentations(draftInfo, presentations);
            await use();
        },
        { auto: true, timeout: 60 * 1000 },
    ],
});
