import { CompoundControl } from "../PageObjects/Bases/CompoundControl";
import { LinkControl } from "../PageObjects/Controls/CandyControls/Action/LinkControl";
import { ButtonControl } from "../PageObjects/Controls/CandyControls/Action/ButtonControl";
import { PopupMenuControl } from "../PageObjects/Controls/PopupMenu";
import { PageBase } from "./PageBase";
declare class MoreActionsMenuContent extends CompoundControl {
    readonly downloadButton: LinkControl;
}
export declare class CandySimplePageBase extends PageBase {
    readonly moreActions: ButtonControl;
    readonly menu: PopupMenuControl<MoreActionsMenuContent>;
    prepareBrowserForDownload(): Promise<() => Promise<void>>;
    getImageFromFuf(): Promise<() => Promise<void>>;
}
export {};
