"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorsItemAdapterProxy = void 0;
const AsyncUtils_1 = require("../../../../../../Common/AsyncUtils");
const ControlAdapterProxy_1 = require("./ControlAdapterProxy");
class ErrorsItemAdapterProxy extends ControlAdapterProxy_1.ControlAdapterProxy {
    name;
    constructor(page, name) {
        super(page);
        this.name = name;
    }
    async navigate() {
        await this.page.setValueToControl(`ErrorsItem/${this.name}`, "navigate", undefined);
        await (0, AsyncUtils_1.delay)(2000);
    }
}
exports.ErrorsItemAdapterProxy = ErrorsItemAdapterProxy;
