"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericControlAdapterProxy = void 0;
const ControlAdapterProxy_1 = require("./ControlAdapterProxy");
class GenericControlAdapterProxy extends ControlAdapterProxy_1.ControlAdapterProxy {
    tid;
    constructor(page, tid) {
        super(page);
        this.tid = tid;
    }
    get isFocused() {
        return this.page.getValueFromControl(this.tid, "isFocused");
    }
    get isInView() {
        return this.page.getValueFromControl(this.tid, "isInView");
    }
}
exports.GenericControlAdapterProxy = GenericControlAdapterProxy;
