import { CandyBrowserPage, CandyBrowserSideObjectHandle1, ExecuteScriptArgs, ExtractHandleTypes } from "../../../BrowserWrapper/Candy/CandyBrowserPage";
import { IQuerySelectorResult } from "./ReactTestSelector";
export type ReactSelectorResultHandle = CandyBrowserSideObjectHandle1<IQuerySelectorResult>;
export declare function evaluateHandler<TR, TA extends Array<ExecuteScriptArgs<unknown>>>(page: CandyBrowserPage, script: (scriptArgs: ExtractHandleTypes<TA>) => TR, ...args: TA): Promise<CandyBrowserSideObjectHandle1<TR>>;
