import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../Bases/ControlsBase";
export declare class TooltipContent extends ControlBase {
    static defaultElementSelector: string;
}
export declare class TooltipControl extends ControlBase {
    private readonly tooltipContent;
    get active(): ExtendedPromise<boolean>;
    get isOpened(): ExtendedPromise<boolean>;
    get value(): ExtendedPromise<boolean>;
}
export declare class CheckboxControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly internalLabel;
    private readonly internalReactUICheckbox;
    readonly tooltip: TooltipControl;
    get error(): ExtendedPromise<boolean>;
    get warning(): ExtendedPromise<boolean>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    click(checkState?: boolean): Promise<void>;
    get checked(): ExtendedPromise<boolean>;
    isTooltipActive(): ExtendedPromise<boolean>;
}
