"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClearUnitModal = void 0;
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ControlList_1 = require("../Bases/ControlList");
const ModalControl_1 = require("./ModalControl");
const RadioControl_1 = require("./RadioControl");
const ButtonControl_1 = require("./CandyControls/Action/ButtonControl");
var ClearPageMethod;
(function (ClearPageMethod) {
    ClearPageMethod["OnlyParent"] = "OnlyParent";
    ClearPageMethod["ParentAndChildren"] = "ParentAndChildren";
})(ClearPageMethod || (ClearPageMethod = {}));
class ClearUnitModal extends ModalControl_1.ModalControl {
    onlyParentRadio = (0, FluentControlFactory_1.control)(RadioControl_1.RadioControl).prop("value", ClearPageMethod.OnlyParent).in(this);
    parentAndChildrenRadio = (0, FluentControlFactory_1.control)(RadioControl_1.RadioControl)
        .prop("value", ClearPageMethod.ParentAndChildren)
        .in(this);
    buttons = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ButtonControl_1.ButtonControl.as("Button"))).in(this);
    submit = this.buttons.itemAt(0);
    cancel = this.buttons.itemAt(1);
}
exports.ClearUnitModal = ClearUnitModal;
