import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../Bases/ControlsBase";
import { ControlList } from "../Bases/ControlList";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
import { DropdownControl } from "./DropdownControl";
import { MenuItemControl } from "./MenuItemControl";
export declare class ComboboxOldControl extends ControlBase {
    static defaultElementSelector: string;
    static emptyValue: any;
    private readonly internalInput;
    private readonly internalComboBox;
    readonly menu: ControlList<MenuItemControl>;
    private readonly label;
    get text(): ExtendedPromise<undefined | string>;
    get value(): ExtendedPromise<string>;
    clearAndType(text: string): Promise<void>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    selectValueByIndex(index: number): ExtendedPromise<void>;
    typeValueAndSelectSingle(searchValue: string): ExtendedPromise<void>;
    getDropdown<TContent>(contentClass: ControlConstructor<TContent>): Promise<DropdownControl<TContent>>;
    pressEnter(): Promise<void>;
    get isFocused(): Promise<boolean>;
}
