import { ExtendedPromise } from "../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../Bases/ControlsBase";
import { ISearchContext } from "../../Bases/Selectors/ISearchContext";
import { ISelector } from "../../Bases/Selectors/ISelector";
import { DropdownMenuControl } from "../DropdownMenuControl";
import { ControlConstructor } from "../../../BrowserWrapper/BrowserPageWrapper";
export declare class HeaderMenu<TContent> extends ControlBase {
    readonly menu: DropdownMenuControl<TContent>;
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<TContent>);
    openDropdownMenu(): ExtendedPromise<TContent>;
    closeDropdownMenu(): Promise<void>;
    get filtered(): ExtendedPromise<boolean>;
}
