"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteUnitModal = void 0;
const ControlList_1 = require("../Bases/ControlList");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("./CandyControls/Action/ButtonControl");
const ModalControl_1 = require("./ModalControl");
class DeleteUnitModal extends ModalControl_1.ModalControl {
    buttons = (0, FluentControlFactory_1.control)(ControlList_1.ControlList.of(ButtonControl_1.ButtonControl.as("Button"))).in(this);
    submit = this.buttons.itemAt(0);
    cancel = this.buttons.itemAt(1);
}
exports.DeleteUnitModal = DeleteUnitModal;
