import { ControlBase } from "../Bases/ControlsBase";
import { ISearchContext } from "../Bases/Selectors/ISearchContext";
import { ISelector } from "../Bases/Selectors/ISelector";
import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
export declare class DropdownMenuControl<TContent> extends ControlBase {
    readonly content: TContent;
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<TContent>);
    open(): ExtendedPromise<TContent>;
}
