"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownMenuControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const Selector_1 = require("../Bases/Selectors/Selector");
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
class DropdownMenuControl extends ControlsBase_1.ControlBase {
    content;
    constructor(context, selector, contentControl) {
        super(context, selector);
        this.content = new contentControl(this, new Selector_1.ReactSelector("Portal"));
    }
    open() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            await super.click();
            return this.content;
        });
    }
}
exports.DropdownMenuControl = DropdownMenuControl;
