"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PencilControl = void 0;
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const IconControl_1 = require("./IconControl");
class PencilControl extends CompoundControl_1.CompoundControl {
    editIcon = (0, FluentControlFactory_1.control)(IconControl_1.IconControl).as("Icon").tid("EditIcon").in(this);
    get opened() {
        return (0, ExtendedPromise_1.extendPromise)(async () => !(await this.editIcon.isPresent()));
    }
}
exports.PencilControl = PencilControl;
