"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PortalBaseControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const CommonUtils_1 = require("../Bases/CommonUtils");
const Selector_1 = require("../Bases/Selectors/Selector");
class PortalBaseControl extends ControlsBase_1.ControlBase {
    async getSelectorResultForChildSearch() {
        // Этот странный код написан так как с выпадшкой комбобокса как-то не получлось: она пропадал к момнету получения rootID
        let rootId;
        try {
            rootId = await this.getProp("rt_rootID");
        }
        catch (e) {
            await (0, CommonUtils_1.delay)(1000);
            rootId = await this.getProp("rt_rootID");
        }
        const portalContentSelector = new Selector_1.ReactSelector("RootContainer", { rt_portalID: rootId });
        return (0, CommonUtils_1.ensureAtLeastOneNodeExists)(this.rootPage, () => this.rootPage.evaluateExpressionAsHandle(`ReactSelector("RootContainer").withProps({ rt_portalID: "${rootId}" })`), () => `Не найден элемент по селектору\n    ${portalContentSelector.getDescription(this.rootPageWrapper)}`);
    }
}
exports.PortalBaseControl = PortalBaseControl;
