"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactUICheckboxControl = void 0;
const ControlsBase_1 = require("../../Bases/ControlsBase");
class ReactUICheckboxControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "Checkbox";
    async click(checkState = true) {
        if (checkState) {
            // NOTE Иногда почему-то не кликается, кликнем ещё раз
            const currentState = await this.checked;
            const rootElement = await this.getRootElement();
            await rootElement.click();
            let newState = await this.checked;
            if (newState === currentState) {
                await rootElement.click();
                newState = await this.checked;
                if (newState === currentState) {
                    await rootElement.click();
                    newState = await this.checked;
                    if (newState === currentState) {
                        await rootElement.click();
                    }
                }
            }
        }
        else {
            const rootElement = await this.getRootElement();
            await rootElement.click();
        }
    }
    get checked() {
        return this.getProp("checked");
    }
}
exports.ReactUICheckboxControl = ReactUICheckboxControl;
