import { ControlBase } from "../../Bases/ControlsBase";
import { HtmlInputControl } from "../HtmlControls/HtmlInputControl";
import { ExtendedPromise } from "../../../ExtenedPromises/ExtendedPromise";
export declare class ReactUIInputControl extends ControlBase {
    static defaultElementSelector: string;
    protected readonly internalInputHtmlElement: HtmlInputControl;
    protected getInternalInputHtmlElement(): HtmlInputControl;
    type(text: string): Promise<void>;
    get value(): Promise<string>;
    get isDisabled(): Promise<boolean>;
    get isValid(): Promise<boolean>;
    get isFocused(): ExtendedPromise<boolean>;
    get focused(): ExtendedPromise<boolean>;
    pressEnter(): Promise<void>;
    clearAndType(text: string): Promise<void>;
    clickAndType(text: string): Promise<void>;
    focus(): Promise<void>;
    clear(): Promise<void>;
    blur(): Promise<void>;
    get placeholder(): Promise<string>;
    get error(): Promise<boolean>;
    get warning(): Promise<boolean>;
}
