"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextControl = void 0;
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
const ControlsBase_1 = require("../Bases/ControlsBase");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
class TextControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "withResolvePaths(**(Text))";
    internalCandyText = (0, FluentControlFactory_1.control)(ControlsBase_1.ControlBase).as("Text").in(this);
    get isValid() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const error = await this.internalCandyText.getProp("error");
            return !Boolean(error);
        });
    }
}
exports.TextControl = TextControl;
