import { CompoundControl } from "../Bases/CompoundControl";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
import { ButtonControl } from "./CandyControls/Action/ButtonControl";
declare class ModalTourStepControl extends CompoundControl {
    private readonly modal;
    getContentAs<T>(content: ControlConstructor<T>): T;
}
declare class TooltipTourStepControl extends CompoundControl {
    getContentAs<T>(content: ControlConstructor<T>): T;
}
export declare class TourControl extends CompoundControl {
    readonly currentTooltipStep: TooltipTourStepControl;
    readonly currentModalStep: ModalTourStepControl;
}
export declare class TourStepContentBase extends CompoundControl {
    readonly prevButton: ButtonControl;
    readonly nextButton: ButtonControl;
}
export {};
