import { BindingPath } from "../../../../Engine/src/Engine/Core/CoreTypes";
export interface AttachInfoFileInfo {
    name: string;
    size: number;
    contentUri?: string;
}
export interface AttachInfo {
    contentUri?: string;
    file?: AttachInfoFileInfo;
    id: string;
    draftId?: string;
    nsId?: string;
    meta: {
        bindingPath: BindingPath;
        fileName: string;
        fileSize: number;
        instance?: string;
        pathToAttachment?: BindingPath;
        gfv?: string;
        attachmentDraftId?: string;
        progress: number | string;
        isConverted?: boolean;
        ndsTotalSum?: string | number;
    };
}
