interface AdditionalDataResponse {
    UndoId?: string;
}
export interface InnerHistoryEntry {
    Id: string;
    OperationName: string;
    DateUtc: Date;
    ChangesExpiresUtc: Date;
    Ip: string;
    Author: string;
    AdditionalData?: AdditionalDataResponse;
    AuthorFirstName?: string | null;
    AuthorMiddleName?: string | null;
    AuthorLastName?: string | null;
}
export type InnerHistoryResponse = InnerHistoryEntry[];
export {};
