export declare class ApplicationError extends Error {
    constructor(message: string);
}
export declare class NotImplementedError extends ApplicationError {
    constructor();
}
export declare class NotSupportedError extends ApplicationError {
    constructor(message?: string);
}
export declare class InvalidProgramStateError extends ApplicationError {
    constructor(message?: string);
}
export declare class InvalidArgumentError extends ApplicationError {
    constructor(argumentName: string, message?: string);
}
export declare class TypingError extends ApplicationError {
    constructor();
}
