import { ModelPath, PathToken, RelativeModelPath } from "./ModelPath";
export interface IterationEntry<TModelPath extends ModelPath> {
    iterable: TModelPath;
    suffix: RelativeModelPath;
}
export declare function buildIterationSequence<TModelPath extends ModelPath>(modelPath: TModelPath): Array<IterationEntry<TModelPath>>;
export interface IterationEntryWithInstances<TModelPath extends ModelPath> {
    iterable: TModelPath;
    suffix: RelativeModelPath;
    instances: PathToken[];
}
export declare function buildIterationSequenceWithInstances<TModelPath extends ModelPath>(modelPath: TModelPath): Array<IterationEntryWithInstances<TModelPath>>;
