"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reservedForTechnicalUsageFields = exports.OptionalBlockVisibilityFieldName = exports.OptionalElementsExistenceFieldName = exports.OptionalSectionFilledFieldName = exports.FalsyTechnicalFieldValue = exports.TruthyTechnicalFieldValue = exports.AttachmentInfoPath = exports.UnitLabelPath = void 0;
const ModelPath_1 = require("./ModelPath/ModelPath");
exports.UnitLabelPath = (0, ModelPath_1.createRelativeResolvedModelPath)("label");
exports.AttachmentInfoPath = (0, ModelPath_1.createRelativeResolvedModelPath)("attachment");
exports.TruthyTechnicalFieldValue = "1";
exports.FalsyTechnicalFieldValue = null;
exports.OptionalSectionFilledFieldName = "isFilledOptional";
exports.OptionalElementsExistenceFieldName = "isExists";
exports.OptionalBlockVisibilityFieldName = "isOptionalBlockVisible";
exports.reservedForTechnicalUsageFields = [
    exports.OptionalSectionFilledFieldName,
    exports.OptionalElementsExistenceFieldName,
    exports.OptionalBlockVisibilityFieldName,
];
