export declare enum CustomErrorLogTooltipActionType {
    Open = 0,
    Close = 1
}
export type CustomErrorLogTooltipAction = {
    type: CustomErrorLogTooltipActionType.Open;
    payload: {
        anchorElement: HTMLElement;
        message: string;
    };
} | {
    type: CustomErrorLogTooltipActionType.Close;
};
export declare function closeCustomErrorLogTooltipAction(): CustomErrorLogTooltipAction;
export declare function openCustomErrorLogTooltipAction(anchorElement: HTMLElement, message: string): CustomErrorLogTooltipAction;
