"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.customErrorLogTooltipReducer = customErrorLogTooltipReducer;
const CustomErrorLogTooltipAction_1 = require("./CustomErrorLogTooltipAction");
function customErrorLogTooltipReducer(state, action) {
    if (action.type === CustomErrorLogTooltipAction_1.CustomErrorLogTooltipActionType.Close) {
        return undefined;
    }
    if (action.type === CustomErrorLogTooltipAction_1.CustomErrorLogTooltipActionType.Open) {
        return {
            anchorElement: action.payload.anchorElement,
            message: action.payload.message,
        };
    }
    return state;
}
