"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionPanelButtonWidth = void 0;
exports.isPanelPinned = isPanelPinned;
exports.isPanelTypeChangeManually = isPanelTypeChangeManually;
exports.isPanelHidden = isPanelHidden;
function isPanelPinned(panelType) {
    return panelType === "pin" || panelType === "pinManual";
}
function isPanelTypeChangeManually(panelType) {
    return panelType === "pinManual" || panelType === "hideManual";
}
function isPanelHidden(panelType) {
    return panelType === "hide" || panelType === "hideManual";
}
var ActionPanelButtonWidth;
(function (ActionPanelButtonWidth) {
    ActionPanelButtonWidth[ActionPanelButtonWidth["smallSize"] = 85] = "smallSize";
    ActionPanelButtonWidth[ActionPanelButtonWidth["middleSize1"] = 115] = "middleSize1";
    ActionPanelButtonWidth[ActionPanelButtonWidth["middleSize2"] = 190] = "middleSize2";
    ActionPanelButtonWidth[ActionPanelButtonWidth["largeSize"] = 210] = "largeSize";
})(ActionPanelButtonWidth || (exports.ActionPanelButtonWidth = ActionPanelButtonWidth = {}));
