export interface SugarPageAction {
    description?: string;
    disableAction?: boolean;
    hideAction?: boolean;
}
export interface SugarExtraPageAction {
    description: string;
    disableAction?: boolean;
    hideAction: boolean;
    tid?: string;
    handler: string;
}
export interface PropsPageActions {
    caption?: string;
    actions?: {
        [actionName: string]: SugarPageAction;
    };
    disableButton?: boolean;
    hideButton?: boolean;
    showInsertButtons?: boolean;
    lastButtonName?: string;
    intermediateButtonName?: string;
}
export interface PropsExtraPageActions {
    [actionName: string]: SugarExtraPageAction;
}
export interface ExtraPageAction {
    tid?: string;
    description: string;
    handler: (...args: unknown[]) => void;
    disabled: boolean;
}
