"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitIdSet = void 0;
const IterableUtils_1 = require("../../../../../../Common/IterableUtils");
const UnitId_1 = require("./UnitId");
class UnitIdSet {
    static create() {
        return {};
    }
    static isEmpty(set) {
        for (const _key of (0, IterableUtils_1.iterateKeys)(set)) {
            return false;
        }
        return true;
    }
    static hasItem(set, unitId) {
        return set[(0, UnitId_1.unitIdToLegacyUnitId)(unitId)] === true;
    }
    static add(set, unitId) {
        if (set[(0, UnitId_1.unitIdToLegacyUnitId)(unitId)] === true) {
            return set;
        }
        return {
            ...set,
            [(0, UnitId_1.unitIdToLegacyUnitId)(unitId)]: true,
        };
    }
    static remove(set, unitId) {
        if (set[(0, UnitId_1.unitIdToLegacyUnitId)(unitId)] !== true) {
            return set;
        }
        const result = { ...set };
        delete result[(0, UnitId_1.unitIdToLegacyUnitId)(unitId)];
        return result;
    }
}
exports.UnitIdSet = UnitIdSet;
