"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scrollToUnitAction = scrollToUnitAction;
exports.unitHighlightAction = unitHighlightAction;
exports.updateEmptyUnits = updateEmptyUnits;
const unitActions_1 = require("../../Controls/FormParts/Unit/Store/unitActions");
function scrollToUnitAction(unitId) {
    return (dispatch, s, form) => {
        dispatch({
            type: unitActions_1.UnitActionType.CloseModalUnit,
            payload: {
                targetUnitId: unitId,
            },
        });
        // eslint-disable-next-line @typescript-eslint/no-floating-promises
        form.unitNavigator?.scrollToUnit(unitId);
    };
}
function unitHighlightAction(unitId) {
    return {
        type: unitActions_1.UnitActionType.UnitHighlight,
        payload: {
            unitId: unitId,
        },
    };
}
function updateEmptyUnits(unitId, empty) {
    return {
        type: unitActions_1.UnitActionType.UpdateEmptyUnits,
        payload: {
            unitId: unitId,
            empty: empty,
        },
    };
}
