"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KCCalculation = void 0;
const KCExpressionRuntime_1 = require("../KCExpressionRuntime");
const TypingUtils_1 = require("../../../../../../Common/TypingUtils");
class KCCalculation {
    static execute(context, evaluator, defaultValue) {
        const expression = new KCExpressionRuntime_1.KCExpressionRuntime(context);
        const result = evaluator(expression);
        const finalValue = (0, TypingUtils_1.isNotNullOrUndefined)(result)
            ? result
            : (0, TypingUtils_1.isNotNullOrUndefined)(defaultValue)
                ? defaultValue
                : undefined;
        return finalValue?.toString();
    }
}
exports.KCCalculation = KCCalculation;
