export declare function runCalculatorFloatingAsyncAction(action: () => Promise<void>): void;
export declare function createSimpleAsyncActionQueue(errorHandler: (e: unknown | Error) => void, queueDelay?: number): {
    enqueue: (action: () => Promise<void>) => void;
    enqueueWithPromise: <TResult>(action: () => Promise<TResult>) => Promise<TResult>;
    getQueueLength: () => number;
};
export declare function createActionQueue(name: string, queueDelay?: number): {
    enqueue: (action: () => Promise<void>) => void;
    enqueueWithPromise: <TResult>(action: () => Promise<TResult>) => Promise<TResult>;
    getQueueLength: () => number;
};
