"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PushIterationContextExecutionPlanStep = void 0;
const IterationContext_1 = require("../ModelPath/IterationContext");
class PushIterationContextExecutionPlanStep {
    instance;
    pathToList;
    constructor(pathToList, instance) {
        this.instance = instance;
        this.pathToList = pathToList;
    }
    getStepExecutor() {
        return action => (context) => action(context.pushIterationContext(new IterationContext_1.IterationContext(this.pathToList, this.instance)));
    }
    toDebugString() {
        return `take(${this.pathToList}/${this.instance})`;
    }
}
exports.PushIterationContextExecutionPlanStep = PushIterationContextExecutionPlanStep;
