import { IEvaluationContext } from "../IEvaluationContext";
import { AbsoluteModelPath } from "../../../../../../Common/ModelPath/ModelPath";
import { ILocalizer, LocalizedString } from "../../Localization/ILocalizer";
import { ValidationFunctionResult, ValidationSeverity } from "./ValidationFunction";
export declare class DependenciesRequiredAreEmpty {
    private static readonly checkDependenciesAreEmpty;
    private static readonly checkValueNotEmpty;
    private static getMessage;
    static execute(context: IEvaluationContext, path: AbsoluteModelPath, dependencies: AbsoluteModelPath[], message: LocalizedString | undefined, severity: ValidationSeverity, localization: ILocalizer): ValidationFunctionResult;
}
