import { CallInitSectionLightboxProps } from "../../../../Forms/PublicForm/InitSectionLightbox";
import { IErrorLogTaskInfo } from "../../ErrorManager/Utils/Models";
import { rsvPreferredTransfers } from "../../ModalManager/Modals/UploadXmlInTable/UploadXmlInTable";
import { FormSavingStatus } from "../../../../Controls/FormParts/Panel/FormSaveStatus/Store/FormSaveStatusActions";
import { ExternalEvent, ExternalEventPath } from "./ExternalEvent";
import { ErrorEventInfo, ExternalEventInfo } from "./ExternalEventInfo";
export declare function getExternalEventInfo(event: ExternalEvent): ExternalEventInfo;
export declare function getExternalEventPath(event: ExternalEvent): ExternalEventPath;
export declare function formSendEvent(): ExternalEvent;
export declare function formCloseEvent(): ExternalEvent;
export declare function formSaveEvent(): ExternalEvent;
export declare function formShowFeedbackEvent(): ExternalEvent;
export declare function formPrintEvent(): ExternalEvent;
export declare function formSavingStatusEvent(status: FormSavingStatus): ExternalEvent;
export declare function formShowTourEventPath(): ExternalEventPath;
export declare function formShowTourEvent(): ExternalEvent;
export declare function formInterdocumentTransferEvent(): ExternalEvent;
export declare function formDidMountEventPath(): ExternalEventPath;
export declare function formDidMountEvent(): ExternalEvent;
export declare function formUpdateNavigationInstanceEventPath(): ExternalEventPath;
export declare function formUpdateNavigationInstanceEvent(currentInstance: string | null | undefined): ExternalEvent;
export declare function formTourStepsShownEvent(shownIds: string[]): ExternalEvent;
export declare function formCallInitSection(options: CallInitSectionLightboxProps): ExternalEvent;
export declare function formPreferredInterdocumentTransferEvent(options: rsvPreferredTransfers): ExternalEvent;
/**
    Выпилить в рамках https://yt.skbkontur.ru/issue/FS-7999/Pereehat-na-generaciyu-kontenta-futera-v-SimpleForm-iz-resursov
 */
export declare function formSendToClientForSign(): ExternalEvent;
/** У нас 2 сервиса сотрудников. 1 занимается команда СС, мы все их знаем.
    Второй, старенький - на поддержке у keapi, встроен в кевеб. Этот event - про второй.
*/
export declare function formOpenEmployeeEditor(employeeId: string): ExternalEvent;
export declare function formPageChangedEventPath(pageId: string): ExternalEventPath;
export declare function formPageChangedEvent(pageId: string): ExternalEvent;
export declare function formComponentDidMountEventPath(controlId: string): ExternalEventPath;
export declare function formComponentDidMountEvent(controlId: string): ExternalEvent;
export declare function formDataProviderErrorEvent(errorInfo: ErrorEventInfo): ExternalEvent;
export declare const EXTERN_CHECK_TASK_EVENT_PATH: string[];
export declare function formStartExternCheckTask(taskSetter: (taskId: string) => void): ExternalEvent;
export declare function formGetExternCheckTask(params: {
    taskId: string;
    setTaskStatus: (taskInfo: IErrorLogTaskInfo) => void;
}): ExternalEvent;
