import { MultiLineFilters } from "../../../Controls/MultiControls/MultiLine/MultiLineFilter";
import { MultiLineSort } from "../../../Controls/MultiControls/MultiLine/MultiLineTypes";
export type FilterResult = string[];
export interface IFilteringStrategy {
    performFilteringAndSorting(multilinePath: string, filteredUniqKey: string, filters: MultiLineFilters, multilineSort: MultiLineSort | undefined): Promise<FilterResult>;
}
