import { ILocalizer } from "../../Core/Localization/ILocalizer";
interface Dictionary {
    [id: string]: string;
}
export interface LocalizationDictionary {
    [lang: string]: Dictionary;
}
export declare class Localization implements ILocalizer {
    private readonly dictionary;
    private readonly defaultDictionary;
    constructor(lang: undefined | string, localizationDictionary?: LocalizationDictionary);
    translate: (message: string) => string;
}
export {};
