import { CandyThunkAction } from "../Store/CandyReduxTypes";
import { ModalOptions, ModalStateInfo } from "./IModalState";
export declare enum ModalStateActionType {
    ShowModal = "SHOW_MODAL",
    CloseModal = "CLOSE_MODAL"
}
export interface ShowModalAction {
    type: ModalStateActionType.ShowModal;
    payload: ModalStateInfo;
}
export interface HideModalAction {
    type: ModalStateActionType.CloseModal;
}
export declare function showModalActionCreator(options: ModalOptions): ShowModalAction;
export declare function hideModalActionCreator(): HideModalAction;
export declare function showModalCandyDispatchActionCreator(options: ModalOptions): CandyThunkAction;
export type FormModalStateAction = ShowModalAction | HideModalAction;
