"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalStateReducer = ModalStateReducer;
const FormModalAction_1 = require("./FormModalAction");
function ModalStateReducer(state, action) {
    switch (action.type) {
        case FormModalAction_1.ModalStateActionType.ShowModal: {
            return {
                ...state,
                modalState: {
                    ...action.payload,
                    isOpen: true,
                },
            };
        }
        case FormModalAction_1.ModalStateActionType.CloseModal: {
            return {
                ...state,
                modalState: undefined,
            };
        }
        default:
            return state;
    }
}
