"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeFileUploadErrors = exports.TableType = exports.PatchFufSteps = exports.UploadFileStatuses = exports.extractFileExtension = void 0;
const extractFileExtension = (fileName) => fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length).toLowerCase() || fileName;
exports.extractFileExtension = extractFileExtension;
var UploadFileStatuses;
(function (UploadFileStatuses) {
    UploadFileStatuses["new"] = "new";
    UploadFileStatuses["progress"] = "progress";
    UploadFileStatuses["error"] = "error";
    UploadFileStatuses["success"] = "success";
})(UploadFileStatuses || (exports.UploadFileStatuses = UploadFileStatuses = {}));
var PatchFufSteps;
(function (PatchFufSteps) {
    PatchFufSteps[PatchFufSteps["SelectCombineFufMethod"] = 0] = "SelectCombineFufMethod";
    PatchFufSteps[PatchFufSteps["SelectCombineSumMethod"] = 1] = "SelectCombineSumMethod";
    PatchFufSteps[PatchFufSteps["SelectFiles"] = 2] = "SelectFiles";
    PatchFufSteps[PatchFufSteps["ErrorMessage"] = 3] = "ErrorMessage";
    PatchFufSteps[PatchFufSteps["LoadToForm"] = 4] = "LoadToForm";
    PatchFufSteps[PatchFufSteps["ShowCombineResult"] = 5] = "ShowCombineResult";
    PatchFufSteps[PatchFufSteps["ConfirmMerge"] = 6] = "ConfirmMerge";
})(PatchFufSteps || (exports.PatchFufSteps = PatchFufSteps = {}));
var TableType;
(function (TableType) {
    TableType["static"] = "static";
    TableType["dynamic"] = "dynamic";
})(TableType || (exports.TableType = TableType = {}));
var TypeFileUploadErrors;
(function (TypeFileUploadErrors) {
    TypeFileUploadErrors["invalidXml"] = "InvalidXml";
    TypeFileUploadErrors["fufSizeTooLarge"] = "FufSizeTooLarge";
})(TypeFileUploadErrors || (exports.TypeFileUploadErrors = TypeFileUploadErrors = {}));
