import { DataDeclarationHelper } from "../DataDeclaration/DataDeclarationHelper";
import { AbsoluteModelPath, AbsoluteResolvedModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { BindingPath } from "../CoreTypes";
import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
export declare class MaskResolver {
    static resolveMask(model: IFormReadonlyModelAccessor, mask: BindingPath): BindingPath[];
    static getPathsByPrefix(dataDeclarationHelper: DataDeclarationHelper, model: IFormReadonlyModelAccessor, nodePathPrefix: AbsoluteModelPath): Iterable<AbsoluteResolvedModelPath>;
    static resolvePath(model: IFormReadonlyModelAccessor, path: AbsoluteModelPath): Iterable<AbsoluteResolvedModelPath>;
}
