import { IFormReadonlyModelAccessor } from "../../Form/IFormModelAccessor";
import { DigestQueryFilter } from "../../../../../Common/CandyApiClient/DigestApiClient/Types/DigestQueryFilter";
import { AbsoluteModelPath } from "../../../../../Common/ModelPath/ModelPath";
import { PicklistQueryResponse } from "./PicklistTypes";
import { IPicklist } from "./IPicklist";
export declare class InnerPathsPicklist implements IPicklist {
    private readonly paths;
    private readonly modelAccessor;
    constructor(modelAccessor: IFormReadonlyModelAccessor, paths: readonly AbsoluteModelPath[]);
    query(filter?: DigestQueryFilter): Promise<PicklistQueryResponse>;
}
