"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InnerPathsPicklist = void 0;
const IterableUtils_1 = require("../../../../../Common/IterableUtils");
const MaskResolver_1 = require("../PathUtils/MaskResolver");
const GPathFilter_1 = require("./GPathFilter");
class InnerPathsPicklist {
    paths;
    modelAccessor;
    constructor(modelAccessor, paths) {
        this.paths = paths;
        this.modelAccessor = modelAccessor;
    }
    async query(filter) {
        const viewModels = Iterator.from(this.paths)
            .flatMap(x => MaskResolver_1.MaskResolver.resolvePath(this.modelAccessor, x))
            .map(x => this.modelAccessor.getViewModel(x));
        // @ts-ignore Не совсем корректный код, надо исправлять код в gPathFilter
        const viewModelAsPicklistItem = IterableUtils_1.IterUtils.distinctBy(viewModels, x => x?.code);
        return (0, GPathFilter_1.gPathFilter)(viewModelAsPicklistItem, filter);
    }
}
exports.InnerPathsPicklist = InnerPathsPicklist;
