import { ViewModel } from "../CoreTypes";
export type LeafValue = string;
export type Path = string;
export interface NodeViewModel {
    [key: string]: NodeViewModel | ViewModel;
}
export interface FormViewModel {
    [key: string]: NodeViewModel;
}
export declare function getViewModel(nodeViewModel: NodeViewModel): undefined | ViewModel;
export declare function getNestedNodeViewModels(nodeViewModel: NodeViewModel): Array<[string, NodeViewModel]>;
