"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.composeEnchancers = void 0;
const redux_1 = require("redux");
const redux_devtools_extension_1 = require("redux-devtools-extension");
let composeEnchancersWithDevToolInDevMode = redux_1.compose;
if (process.env.NODE_ENV !== "production") {
    composeEnchancersWithDevToolInDevMode = (0, redux_devtools_extension_1.composeWithDevTools)({});
}
exports.composeEnchancers = composeEnchancersWithDevToolInDevMode;
