import { ICustomValidationFunctionCallContext } from "../../../Form/CustomizationContexts/ValidatorContext/ICustomValidationFunctionCallContext";
import { BindingPath, ViewModel } from "../../CoreTypes";
import { LocalizedString } from "../../Localization/ILocalizer";
import { CheckType, IValidationContext, ValidationResult } from "./Bases/IValueValidator";
import { ValueValidatorBase } from "./Bases/ValueValidatorBase";
export type CustomValidationFunction = (nodeViewModel: ViewModel, nodeAttrs: {}, path: BindingPath, form: ICustomValidationFunctionCallContext) => string | boolean | undefined | null;
export declare class CustomValueValidator extends ValueValidatorBase {
    private readonly customValidationFunction;
    private readonly message;
    private readonly checkType;
    constructor(customValidationFunction: CustomValidationFunction, checkType: CheckType, message: undefined | LocalizedString);
    validate(context: IValidationContext, nodeViewModel: ViewModel): ValidationResult;
}
