import { FormSettings } from "../../../../Forms/Types/FormSettings";
import { PathUtils } from "../../../Core/PathUtils/PathUtils";
import { RequisitesInfo } from "../../IForm";
export interface IFetchFunctionModelAccessor {
    getCached(path: string, name: "children"): undefined | string[];
    getCached(path: string, name: "value"): undefined | string;
}
export interface IFetchFunctionCallContext {
    model: IFetchFunctionModelAccessor;
    settings: FormSettings;
    requisites: RequisitesInfo;
    pathUtils: typeof PathUtils;
    __INTERNAL__getDefaultAutoFlag: (nodePath: string) => void;
    __INTERNAL__getSectionFunction: (sectionName: string, nodePath: string) => string[];
}
