import { ModelChangeListener } from "../../Forms/PublicForm/ModelChangeListener";
import { BindingPath } from "../Core/CoreTypes";
import { IModelChangeEventListener } from "./IForm";
export type ModelChangeHooks = Map<ModelChangeListener, BindingPath[]>;
export interface Subscription {
    unsubscribe: () => void;
}
export declare class ModelChangeEventListener implements IModelChangeEventListener {
    modelChangeHookListener: ModelChangeHooks;
    onModelChange(pathOrPaths: BindingPath | BindingPath[], listener: ModelChangeListener): Subscription;
}
