export declare class ValidationHelper {
    static isBlank(str: undefined | null | string): boolean;
    static isNumber(str: string | undefined | null): boolean;
    static isDateFormat(date: string): boolean;
    static isDateFormatIso(date: string): boolean;
    static isInn(str: undefined | null | string): boolean;
    static isOgrn(value: string | undefined): boolean;
    static isValidAccountNumber(bik: string | undefined, accountNumber: string | undefined): boolean;
    static isValidMirCardNumber(cardNumber: string | undefined): boolean;
    static isSnils(snils: string): boolean;
    static isRegNumSfr(regNum: string): boolean;
    static isKpp(str: string): boolean;
    static isOkved(str: string): boolean;
    private static LuhnAlgorithmCheckSumVerifier;
}
