"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clientSettings = void 0;
function parseBool(value) {
    if (typeof value === "string") {
        if (value === "false") {
            return false;
        }
        if (value === "true") {
            return true;
        }
        return false;
    }
    return Boolean(value);
}
exports.clientSettings = {
    authorized: parseBool("{authorized}"),
    cauldronApiUrl: "{cauldronApiUrl}",
    isTestServer: parseBool("{isTestServer}"),
    renderCachingForIE8: parseBool("{renderCachingForIE8}"),
    normalizationOnServer: parseBool("{normalizationOnServer}"),
    normativeUrl: "{normativeUrl}",
    konturDomains: "{konturDomains}",
};
