"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDraftFullId = getDraftFullId;
exports.getFormRootModelPath = getFormRootModelPath;
const ModelPath_1 = require("../../../../Common/ModelPath/ModelPath");
const Errors_1 = require("../../../../Common/Errors");
function getDraftFullId(settings) {
    return {
        draftId: settings.draftId,
        ns: settings.ns,
    };
}
function getFormRootModelPath(settings) {
    const iModelPath = (0, ModelPath_1.createAbsolute)(settings.formRoot);
    if (!iModelPath.isResolved()) {
        throw new Errors_1.InvalidProgramStateError();
    }
    return iModelPath;
}
