import { BindingPath } from "../../Engine/Core/CoreTypes";
import { FullFormState } from "../../Engine/Core/Store/FullFormState";
type HiddenColgroupState = "auto" | "hide" | "show";
interface HiddenColgroupingGroupState {
    state?: HiddenColgroupState;
    filledCount?: number;
}
export declare function getIsLoading(state: FullFormState, bindingPath: BindingPath): boolean;
export declare function setIsLoading(state: FullFormState, bindingPath: BindingPath, loading: boolean): FullFormState;
export declare function getColumnGroupingGroupStates(state: FullFormState, bindingPath: BindingPath, groupKey?: string): number | undefined;
export declare function updateColumnGroupingGroupStates(state: FullFormState, bindingPath: BindingPath, groupKey: undefined | string, updateFn: (prev: number) => number, defaultValue: number): FullFormState;
export declare function getHiddenColgroupingGroupStates(state: FullFormState, bindingPath: BindingPath, groupKey: undefined | string): HiddenColgroupingGroupState;
export declare function setHiddenColgroupingGroupState(state: FullFormState, bindingPath: BindingPath, groupKey: undefined | string, hiddenColgroupState: HiddenColgroupState): FullFormState;
export declare function updateHiddenColgroupingGroupFilledCount(state: FullFormState, bindingPath: BindingPath, groupKey: undefined | string, updateFn: (prev: number) => number, defaultValue: number): FullFormState;
export {};
