import { BindingPath } from "../../Engine/Core/CoreTypes";
import { FullFormState, IViewModelContainer } from "../../Engine/Core/Store/FullFormState";
import { AbsoluteModelPath } from "../../../../Common/ModelPath/ModelPath";
export declare function getInstancesAfterAdd(instances: readonly string[], newInstance: string | undefined, instanceIndex: number): string[];
export declare function getDisplayedInstances(state: FullFormState, bindingPath: AbsoluteModelPath | BindingPath, filteredUniqKey: string, defaultState?: import("../../Controls/MultiControls/MultiLine/MultiLineTypes").MultiLinePathState): readonly string[];
export declare function getDisplayedInstancesCount(state: FullFormState, bindingPath: AbsoluteModelPath | BindingPath, filteredUniqKey: string): number;
export declare function getInstancesAfterRemove(instances: readonly string[], instancesToRemove: readonly string[]): string[];
export declare function resolveMask(mask: string, instance: string): string;
export declare function getMultipleValues(viewModel: IViewModelContainer, dataPath: AbsoluteModelPath, fieldName?: string): string[];
export declare function findFreeInstanceNumber(instances: Iterable<string>): string;
