"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.importEmployeesReducer = importEmployeesReducer;
const ImportEmployeesAction_1 = require("./ImportEmployeesAction");
function importEmployeesReducer(state, action) {
    let nextState = state;
    if (action.type === ImportEmployeesAction_1.ImportEmployeesActionType.BeginImport) {
        nextState = {
            ...nextState,
            showSideBar: true,
            initialState: action.payload.initialState,
            options: action.payload.options,
            resultDeferred: action.payload.deferredResult,
        };
    }
    if (action.type === ImportEmployeesAction_1.ImportEmployeesActionType.EndImport) {
        nextState = {
            ...nextState,
            showSideBar: false,
            resultDeferred: undefined,
        };
    }
    return nextState;
}
