import { ConverterResult } from "../../generators/markupGenerator/ConverterResults/ConverterResult";
import { ModuleDescriptor } from "../../generators/markupGenerator/ConverterResults/ModuleDescriptor";
type PropValue = null | string | number | object | boolean | any[] | ExpressionPropValue | ConverterResult[];
export interface ExpressionPropValue {
    type: "Expression";
    expression: string;
    dependencies?: ModuleDescriptor[];
}
export declare function isExpressionPropValue(value: PropValue): value is ExpressionPropValue;
export declare class PropsBuilder {
    private readonly props;
    constructor(initialProps?: {
        [name: string]: null | undefined | PropValue;
    });
    set(name: string, value: undefined | PropValue): void;
    build(): string[];
    objectToString(object: unknown): string;
    toString(): string;
    toStatementsArray(): string[];
}
export {};
