import { File } from "./File";
import { FileContent } from "./FileContent";
export declare class ModuleDescriptor {
    content?: null | FileContent;
    name?: null | string;
    path: string;
    constructor(modulePath: string, name?: null | string, content?: null | FileContent);
    static helperFunctions(): ModuleDescriptor;
    static fromImage(imageName: string, imageExt: string, fileContent: FileContent): ModuleDescriptor;
    static fromControls(componentName: string): ModuleDescriptor;
    static fromCustomControl(pathToControlDirectory: string, customControlName: string): ModuleDescriptor;
    toFile(): null | File;
    toHash(): string;
}
