"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleDescriptor = void 0;
const path = __importStar(require("path"));
const File_1 = require("./File");
class ModuleDescriptor {
    content;
    name;
    path;
    constructor(modulePath, name, content) {
        this.path = modulePath;
        this.name = name;
        this.content = content;
    }
    static helperFunctions() {
        return new ModuleDescriptor("Resources/helperFunctions", "helperFunctions");
    }
    static fromImage(imageName, imageExt, fileContent) {
        return new ModuleDescriptor(`./${imageName}.${imageExt}`, imageName, fileContent);
    }
    static fromControls(componentName) {
        return new ModuleDescriptor(`Controls/${componentName}`, componentName);
    }
    static fromCustomControl(pathToControlDirectory, customControlName) {
        return new ModuleDescriptor(path.join(pathToControlDirectory, "client"), customControlName + "Factory");
    }
    toFile() {
        // NOTE Creating file instance with filepath as filename. WTF?
        return this.content ? new File_1.File(this.path, this.content) : null;
    }
    toHash() {
        return `#module${this.name || ""}`;
    }
}
exports.ModuleDescriptor = ModuleDescriptor;
