import { SugarNodeBase } from "../../Serializer/SugarSerializer";
import { ModelPath } from "../../../../../../Common/ModelPath/ModelPath";
export interface IDataBindingAttributes {
    defaultValue: undefined | string;
    fetchfn: undefined | string;
    settings: undefined | boolean;
}
export declare class DataBindingMixinNode extends SugarNodeBase implements IDataBindingAttributes {
    path: undefined | string;
    optional?: boolean;
    fetchfn: undefined | string;
    defaultValue: undefined | string;
    requisite?: boolean;
    settings: undefined | boolean;
    getOwnPath(): undefined | ModelPath;
}
export declare class DataBindingScopeMixinNode extends SugarNodeBase {
    path: undefined | string;
    getOwnPath(): undefined | ModelPath;
}
export declare class DataReferenceMixinNode extends SugarNodeBase {
    path: undefined | string;
    getOwnPath(): undefined | ModelPath;
}
