"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataReferenceMixinNode = exports.DataBindingScopeMixinNode = exports.DataBindingMixinNode = void 0;
const DocumentationLinks_1 = require("../Commons/DocumentationLinks");
const SugarSerializer_1 = require("../../Serializer/SugarSerializer");
const ModelPath_1 = require("../../../../../../Common/ModelPath/ModelPath");
@(0, SugarSerializer_1.attrMixinNode)()
class DataBindingMixinNode extends SugarSerializer_1.SugarNodeBase {
    @(0, SugarSerializer_1.attr)("path", SugarSerializer_1.attrType.bindingPath, `${(0, DocumentationLinks_1.docLink)(DocumentationLinks_1.bindingPathLink)} данного элемента. Опционально, если не указан, то будет отображаться текст, заданный внутри данного элемента`)
    path;
    @(0, SugarSerializer_1.attr)("optional", SugarSerializer_1.attrType.boolean, ``)
    optional;
    @(0, SugarSerializer_1.attr)("fetchfn", SugarSerializer_1.attrType.string, `Фетч функция`)
    fetchfn;
    @(0, SugarSerializer_1.attr)("defaultValue", SugarSerializer_1.attrType.string, ``)
    defaultValue;
    @(0, SugarSerializer_1.attr)("requisite", SugarSerializer_1.attrType.boolean, ``)
    requisite;
    @(0, SugarSerializer_1.attr)("settings", SugarSerializer_1.attrType.boolean, ``)
    settings;
    getOwnPath() {
        return this.path != undefined ? (0, ModelPath_1.createFromMask)(this.path, "auto", ModelPath_1.PathTokens.each) : undefined;
    }
}
exports.DataBindingMixinNode = DataBindingMixinNode;
@(0, SugarSerializer_1.attrMixinNode)()
class DataBindingScopeMixinNode extends SugarSerializer_1.SugarNodeBase {
    @(0, SugarSerializer_1.attr)("path", SugarSerializer_1.attrType.bindingPath, `${(0, DocumentationLinks_1.docLink)(DocumentationLinks_1.bindingPathLink)} данного элемента. Опционально, если не указан, то будет отображаться текст заданный внутри данного элемента`)
    path;
    getOwnPath() {
        return this.path != undefined ? (0, ModelPath_1.createFromMask)(this.path, "auto", ModelPath_1.PathTokens.each) : undefined;
    }
}
exports.DataBindingScopeMixinNode = DataBindingScopeMixinNode;
@(0, SugarSerializer_1.attrMixinNode)()
class DataReferenceMixinNode extends SugarSerializer_1.SugarNodeBase {
    @(0, SugarSerializer_1.attr)("path", SugarSerializer_1.attrType.bindingPath, `${(0, DocumentationLinks_1.docLink)(DocumentationLinks_1.bindingPathLink)} данного элемента. Опционально, если не указан, то будет отображаться текст заданный внутри данного элемента`)
    path;
    getOwnPath() {
        return this.path != undefined ? (0, ModelPath_1.createFromMask)(this.path, "auto", ModelPath_1.PathTokens.each) : undefined;
    }
}
exports.DataReferenceMixinNode = DataReferenceMixinNode;
