import { XmlNode } from "../../../../common/XmlParser/XmlNode";
import { NodeClass, SugarNodeBase, SugarSerializer } from "../SugarSerializer";
import { DeserializeTracer } from "./DeserializeTracer";
import { IPropertyDeserializer } from "./IPropertyDeserializer";
export declare class MixinPropertyDeserializer implements IPropertyDeserializer {
    readonly propertyName: string;
    readonly nodeClass: NodeClass;
    constructor(propertyName: string, nodeClass: NodeClass);
    getPropertyDeserializers(): readonly IPropertyDeserializer[];
    fillFromSugarXmlNode(result: SugarNodeBase, xmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): void;
}
