import { XmlNode } from "../../../../common/XmlParser/XmlNode";
import { SugarNodeBase, SugarSerializer } from "../SugarSerializer";
import { DeserializeTracer } from "./DeserializeTracer";
import { IPropertyDeserializer } from "./IPropertyDeserializer";
import { IValueSource } from "./ValuesSources/IValueSource";
export declare class SinglePropertyDeserializer implements IPropertyDeserializer {
    readonly propertyName: string;
    readonly propertyDescription?: string;
    readonly valueSource: IValueSource;
    constructor(propertyName: string, valueSource: IValueSource, propertyDescription?: string);
    fillFromSugarXmlNode(result: SugarNodeBase, xmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): void;
}
