"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequiredWrapperValueParser = void 0;
const SugarValueConstraintError_1 = require("../../Errors/SugarValueConstraintError");
class RequiredWrapperValueParser {
    innerValueParser;
    constructor(innerValueParser) {
        this.innerValueParser = innerValueParser;
    }
    parseValue(attribute, hasAttribute) {
        const result = this.innerValueParser.parseValue(attribute, hasAttribute);
        if (result == undefined) {
            throw new SugarValueConstraintError_1.SugarValueConstraintError("Expected value to not be undefined");
        }
        return result;
    }
}
exports.RequiredWrapperValueParser = RequiredWrapperValueParser;
