import { XmlNode } from "../../../../../common/XmlParser/XmlNode";
import { DeprecationReason } from "../../DeprecationReason";
import { SugarSerializer } from "../../SugarSerializer";
import { DeserializeTracer } from "../DeserializeTracer";
import { IValueSource } from "./IValueSource";
export declare class SkipAttributeValueSource implements IValueSource {
    readonly attrName: string;
    readonly reason: DeprecationReason;
    constructor(attrName: string, reason: DeprecationReason);
    extractValue(sugarXmlNode: XmlNode, serializer: SugarSerializer, tracer: DeserializeTracer): unknown;
}
