export interface CandyWebElementHandle {
    click(): Promise<void>;
    hover(): Promise<void>;
    focus(): Promise<void>;
    type(text: string): Promise<void>;
    deprecatedType(text: string): Promise<void>;
    getProperty(name: string): Promise<string | undefined>;
    textContent(): Promise<undefined | string>;
    findByCssSelector(span: string): Promise<undefined | CandyWebElementHandle>;
    takeScreenshot(): Promise<string>;
    pressEnter(): Promise<void>;
    clear(): Promise<void>;
    setAttribute(name: string, value: string): Promise<void>;
}
