"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaywrightCandyBrowserSideObjectHandle = void 0;
const PlaywrightCandyWebElementHandle_1 = require("./PlaywrightCandyWebElementHandle");
class PlaywrightCandyBrowserSideObjectHandle {
    internalHandle;
    constructor(jsHandle) {
        this.internalHandle = jsHandle;
    }
    async asElement() {
        const elementHandle = this.internalHandle.asElement();
        if (elementHandle == undefined) {
            return undefined;
        }
        return new PlaywrightCandyWebElementHandle_1.PlaywrightCandyWebElementHandle(elementHandle);
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async jsonValue() {
        return this.internalHandle.jsonValue();
    }
}
exports.PlaywrightCandyBrowserSideObjectHandle = PlaywrightCandyBrowserSideObjectHandle;
