export declare const extendPromise: (promiseFunction: any) => any;
type Func<TArgs extends unknown[], TR> = (...args: TArgs) => TR;
export declare type ExtendedPromise<T> = Promise<T> & {
    __recall: () => Promise<T>;
} & (T extends unknown[] ? {} : {
    [P in keyof T]: T[P] extends ExtendedPromise<infer TArgs> ? ExtendedPromise<TArgs> : T[P] extends Func<infer TArgs, Promise<infer TR>> ? Func<TArgs, ExtendedPromise<TR>> : T[P] extends Func<infer TArgs2, infer TR2> ? Func<TArgs2, ExtendedPromise<TR2>> : ExtendedPromise<T[P]>;
});
export declare function extendPromise<T>(promise: Promise<T> | (() => Promise<T>)): ExtendedPromise<T>;
export {};
