"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extendPromise = void 0;
//Этот файл существует, тк должен собираться в js бандл для forms-testing
//@ts-nocheck
/* eslint-disable consistent-return */
/* eslint-disable @typescript-eslint/no-unsafe-return */
const extendPromise = function (promiseFunction) {
    if (typeof promiseFunction === "function") {
        const sourcePromise = promiseFunction();
        const target = () => sourcePromise;
        target.__recall = promiseFunction;
        const result = new Proxy(target, handlers);
        return result;
    }
};
exports.extendPromise = extendPromise;
const handlers = {
    get: function (target, property) {
        if (property === "inspect") {
            return function () {
                return "[extended Promise]";
            };
        }
        if (property === "then") {
            return target().then.bind(target());
        }
        if (property === "toString") {
            return target().toString.bind(target());
        }
        else if (property === "__recall") {
            return target.__recall;
        }
        else if (typeof property === "symbol") {
            return target[property];
        }
        else {
            const fn = async () => {
                const resolvedPromise = await target();
                return resolvedPromise[property];
            };
            return (0, exports.extendPromise)(fn);
        }
    },
    apply: function (target, thisArg, args) {
        const fn = async () => {
            const resolvedPromise = await target();
            return resolvedPromise.apply(await thisArg, args);
        };
        return (0, exports.extendPromise)(fn);
    },
};
