"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authFixture = void 0;
const test_1 = require("@playwright/test");
const candyApiFixture_1 = require("./candyApiFixture");
exports.authFixture = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture).extend({
    auth: [
        async ({ page, candyApi }, use) => {
            await page
                .context()
                .addCookies([{ domain: ".testkontur.ru", path: "/", name: "auth.sid", value: candyApi.testUserSid }]);
            await use();
        },
        { auto: true },
    ],
});
