"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.candyApiFixture = void 0;
const test_1 = require("@playwright/test");
const CandyServiceTestContext_1 = require("../CandyApi/CandyServiceTestContext");
exports.candyApiFixture = test_1.test.extend({
    candyApi: async ({ page }, use) => {
        const candyApi = await initCandyApi();
        await use(candyApi);
    },
});
async function initCandyApi() {
    const domain = ".testkontur.ru";
    const candyApi = await CandyServiceTestContext_1.CandyServiceTestContext.initialize({
        domain: domain,
        resourceZone: undefined,
    });
    return candyApi;
}
