"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.draftInfoFixture = void 0;
const test_1 = require("@playwright/test");
const TypingUtils_1 = require("../../../../Common/TypingUtils");
const candyApiFixture_1 = require("./candyApiFixture");
const pageOptionsFixture_1 = require("./pageOptionsFixture");
exports.draftInfoFixture = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture, pageOptionsFixture_1.pageOptionsFixture).extend({
    draftInfo: async ({ candyApi, pageOptions }, use) => {
        const draftInfo = await candyApi.createDefaultDraft(pageOptions.gfv ?? (0, TypingUtils_1.reject)());
        await use(draftInfo);
    },
});
