"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fufCheckerFixture = void 0;
const test_1 = require("@playwright/test");
const PlaywrightCandyBrowserPage_1 = require("../BrowserWrapper/Playwright/PlaywrightCandyBrowserPage");
const BrowserPageWrapper_1 = require("../BrowserWrapper/BrowserPageWrapper");
const FufChecker_1 = require("../PageBases/FufChecker");
exports.fufCheckerFixture = test_1.test.extend({
    fufChecker: async ({ page }, use) => {
        const candyPageWrapper = new PlaywrightCandyBrowserPage_1.PlaywrightCandyBrowserPage(page);
        const pageWrapper = new BrowserPageWrapper_1.BrowserPageWrapper(candyPageWrapper);
        const fufChecker = new FufChecker_1.FufChecker(pageWrapper);
        await use(fufChecker);
    },
});
