"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uiTestPageFixture = void 0;
const test_1 = require("playwright/test");
const UITestFormPageWrapper_1 = require("../PageBases/UITestBases/UITestFormPageWrapper");
const candyApiFixture_1 = require("./candyApiFixture");
const draftInfoFixture_1 = require("./draftInfoFixture");
exports.uiTestPageFixture = (0, test_1.mergeTests)(candyApiFixture_1.candyApiFixture, draftInfoFixture_1.draftInfoFixture).extend({
    // @ts-ignore мини хак для получения pageObject
    form: async ({ page, candyApi, draftInfo, pageObject }, use) => {
        const uiTestPageWrapper = new UITestFormPageWrapper_1.UITestFormPageWrapper(page, candyApi, draftInfo, pageObject);
        await use(uiTestPageWrapper);
    },
});
