import { BrowserPageWrapper } from "../BrowserWrapper/BrowserPageWrapper";
import { CandyPageWithNavigationBase } from "./CandyPageWithNavigationBase";
import { CandySimplePageBase } from "./CandySimplePageBase";
export interface FufAsJson {
    [key: string]: FufAsJson & FufAsJson[] & string;
}
export declare class FufChecker {
    private readonly rootPageWrapper;
    constructor(rootPageWrapper: BrowserPageWrapper);
    checkFuf(candyPage: CandyPageWithNavigationBase | CandySimplePageBase, expectedFufContentPart: {} | ((fuf: FufAsJson) => Promise<void> | void), forceEncoding?: string): Promise<void>;
    getFufImagesCount(candyPage: CandySimplePageBase): Promise<number>;
    private bufferWithXmlToString;
    private isImage;
    private fufToJson;
}
