import { ISearchContext } from "./ISearchContext";
import { ISelector } from "./ISelector";
import { ReactSelectorResultHandle } from "./ReactSelectorTypingBridge";
export declare class ReactNodeAtIndexSelector implements ISelector {
    private readonly selector;
    private readonly index;
    constructor(selector: ISelector, index: number);
    execute(context: ISearchContext): Promise<ReactSelectorResultHandle>;
    getDescription(context: ISearchContext): string;
}
