export interface IQuerySelectorResult {
    querySelector(selectorString: string): IQuerySelectorResult;
    hasNodes(): boolean;
    at(index: number): IQuerySelectorResult;
    getDomElements(): Array<Element | undefined>;
    getDomElement(): Element | undefined;
    getProps(): Record<string, unknown>;
}
declare global {
    interface Window {
        rts: {
            querySelector(selectorString: string): IQuerySelectorResult;
        };
    }
}
