import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../Bases/ControlsBase";
export declare class DatePickerControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly internalCandyDatePicker;
    private readonly internalDateInput;
    get value(): ExtendedPromise<string>;
    get highlighted(): ExtendedPromise<boolean>;
    get isValid(): Promise<boolean>;
    get error(): ExtendedPromise<boolean>;
    get errorMessage(): Promise<undefined | string>;
    clear(): Promise<void>;
    blur(): Promise<void>;
    clearAndType(text: string): Promise<void>;
    focus(): Promise<void>;
    click(): Promise<void>;
    get isFocused(): Promise<boolean>;
}
