import { ExtendedPromise } from "../../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../../Bases/ControlsBase";
import { CompoundControl } from "../../../../Bases/CompoundControl";
import { ButtonControl } from "../../Action/ButtonControl";
import { ClickableAreaControl } from "../../../ClickableAreaControl";
import { LabelControl } from "../../../LabelControl";
import { TooltipContentBaseControl } from "../../../TooltipContentBaseControl";
declare class ViewFileRemoveTooltip extends TooltipContentBaseControl {
    readonly removeButton: ButtonControl;
}
declare class ViewFileControl extends CompoundControl {
    readonly progressBar: ControlBase;
    readonly fileName: LabelControl;
    readonly removeArea: ClickableAreaControl;
    readonly removeTooltip: ViewFileRemoveTooltip;
    readonly viewFileError: LabelControl;
    readonly viewFileWarning: LabelControl;
    remove(): Promise<void>;
}
export declare class FileLoaderControlButton extends ControlBase {
    private readonly internalButtonHtmlElement;
    click(): Promise<void>;
    get disabled(): ExtendedPromise<boolean>;
}
export declare class FileLoaderControl extends CompoundControl {
    static defaultElementSelector: string;
    readonly addButton: FileLoaderControlButton;
    readonly replaceButton: FileLoaderControlButton;
    readonly overflowDocuments: LabelControl;
    readonly files: import("../../../../Bases/ControlList").ControlList<ViewFileControl>;
    addFiles(filesPath: string[], wait?: boolean): Promise<void>;
    replaceFile(filesPath: string[], wait?: boolean): Promise<void>;
}
export {};
