import { ControlBase } from "../../../Bases/ControlsBase";
import { ButtonControl } from "../Action/ButtonControl";
import { ComboboxOldControl } from "../../ComboboxOldControl";
import { ControlList } from "../../../Bases/ControlList";
import { DropdownControl } from "../../DropdownControl";
import { LabelControl } from "../../LabelControl";
import { LinkControl } from "../Action/LinkControl";
import { InputControl } from "./InputControl";
export declare class KladrModal extends ControlBase {
    readonly comboboxFields: ControlList<ComboboxOldControl>;
    readonly inputFields: ControlList<InputControl>;
    readonly buttons: ControlList<ButtonControl>;
}
export declare class KladrControl extends ControlBase {
    static defaultElementSelector: string;
    fillAddress: LinkControl;
    internalKladr: ControlBase;
    address: LabelControl;
    inner: LabelControl;
    get isValid(): Promise<boolean>;
    openModalEditor(): Promise<DropdownControl<KladrModal>>;
}
