import { ExtendedPromise } from "../../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../../Bases/ControlsBase";
import { ButtonControl } from "../../Action/ButtonControl";
import { InputControl } from "../InputControl";
import { LabelControl } from "../../../LabelControl";
declare class PicklistItemControl extends ControlBase {
    readonly captions: import("../../../../Bases/ControlList").ControlList<LabelControl>;
    private readonly checkbox;
    getFieldByIndex(index: number): ExtendedPromise<undefined | string>;
    get selected(): ExtendedPromise<boolean>;
    get focused(): ExtendedPromise<boolean>;
    click(): Promise<void>;
}
export declare class PicklistLoaderContainerControl extends ControlBase {
    get active(): ExtendedPromise<boolean>;
}
export declare class PicklistModalContent extends ControlBase {
    readonly title: LabelControl;
    readonly searchInput: InputControl;
    readonly items: import("../../../../Bases/ControlList").ControlList<PicklistItemControl>;
    readonly textRenderTotalCount: LabelControl;
    readonly saveButton: ButtonControl;
    readonly cancelButton: ButtonControl;
    readonly cancelX: ButtonControl;
    readonly loader: PicklistLoaderContainerControl;
    nextFocus(): Promise<void>;
    moveFocusToNextItem(): Promise<void>;
    moveFocusToPreviousItem(): Promise<void>;
    selectItemByEnter(): Promise<void>;
}
export {};
