import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../Bases/ControlsBase";
export declare class RadioGroupControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly items;
    private readonly internalRadioGroup;
    get value(): ExtendedPromise<string>;
    get currentValueCaption(): ExtendedPromise<undefined | string>;
    selectValueByIndex(index: number): Promise<void>;
    selectValueByValue(value: string): Promise<void>;
    get errorMessage(): Promise<undefined | string>;
    get warningMessage(): Promise<undefined | string>;
    get error(): ExtendedPromise<boolean>;
}
