import { ExtendedPromise } from "../../../../ExtenedPromises/ExtendedPromise";
import { ControlBase } from "../../../Bases/ControlsBase";
import { CompoundControl } from "../../../Bases/CompoundControl";
import { LabelControl } from "../../LabelControl";
export declare class SelectDropdownContent extends CompoundControl {
    readonly items: import("../../../Bases/ControlList").ControlList<ControlBase>;
    readonly resetValue: LabelControl;
}
export declare class SelectControl extends ControlBase {
    static defaultElementSelector: string;
    private readonly internalButton;
    private readonly internalCandySelect;
    readonly menu: SelectDropdownContent;
    get text(): ExtendedPromise<undefined | string>;
    get isDisabled(): ExtendedPromise<boolean>;
    get isHighlighted(): ExtendedPromise<boolean>;
    click(): Promise<void>;
    selectValueByIndex(index: number): Promise<void>;
    get errorMessage(): Promise<undefined | string>;
    openMenu(): Promise<SelectDropdownContent>;
}
