"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComboboxItemControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
class ComboboxItemControl extends ControlsBase_1.ControlBase {
    async isHighlighted() {
        return (0, ExtendedPromise_1.extendPromise)(async () => {
            const highlightPropValue = await this.getProp("state");
            return highlightPropValue === "hover";
        });
    }
}
exports.ComboboxItemControl = ComboboxItemControl;
