"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuItemControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const HtmlButtonControl_1 = require("./HtmlControls/HtmlButtonControl");
class MenuItemControl extends ControlsBase_1.ControlBase {
    static defaultElementSelector = "MenuItem";
    internalButtonHtmlElement = HtmlButtonControl_1.HtmlButtonControl.inside(this);
    get disabled() {
        return this.getProp("disabled");
    }
    get text() {
        return this.internalButtonHtmlElement.text;
    }
}
exports.MenuItemControl = MenuItemControl;
