"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultilineControl = void 0;
const CompoundControl_1 = require("../Bases/CompoundControl");
const Selector_1 = require("../Bases/Selectors/Selector");
const ControlList_1 = require("../Bases/ControlList");
class MultilineControl extends CompoundControl_1.CompoundControl {
    rows;
    constructor(context, selector, contentControl) {
        super(context, selector);
        this.rows = new ControlList_1.ControlList(this, new Selector_1.ReactSelector("Row"), contentControl);
    }
}
exports.MultilineControl = MultilineControl;
