import { CompoundControl } from "../Bases/CompoundControl";
import { ISearchContext } from "../Bases/Selectors/ISearchContext";
import { ISelector } from "../Bases/Selectors/ISelector";
import { ControlList } from "../Bases/ControlList";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
import { IconControl } from "./IconControl";
import { LinkControl } from "./CandyControls/Action/LinkControl";
export declare class MultilineFieldControl<TRow> extends CompoundControl {
    static defaultElementSelector: string;
    items: ControlList<MultilineFieldItemBase<TRow>>;
    readonly moreItemsLink: LinkControl;
    constructor(context: ISearchContext, selector: ISelector, childFactory: ControlConstructor<TRow>);
    static of<T>(childFactory: ControlConstructor<T>): ControlConstructor<MultilineFieldControl<T>>;
    addItem(): Promise<void>;
}
declare class MultilineFieldItemBase<TRow> extends CompoundControl {
    readonly value: TRow;
    readonly addButton: IconControl;
    readonly removeButton: IconControl;
    constructor(context: ISearchContext, selector: ISelector, rowConstructor: ControlConstructor<TRow>);
}
export {};
