"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultilineFooterControl = void 0;
const CommonUtils_1 = require("../Bases/CommonUtils");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const ButtonControl_1 = require("./CandyControls/Action/ButtonControl");
class MultilineFooterControl extends CompoundControl_1.CompoundControl {
    addButton = (0, FluentControlFactory_1.control)(ButtonControl_1.ButtonControl).as("AddRowButton").in(this);
    async addRow() {
        await this.scrollIntoView();
        await this.addButton.click();
        // BT-HACK защита от анимированного скроллинга
        await (0, CommonUtils_1.delay)(500);
    }
}
exports.MultilineFooterControl = MultilineFooterControl;
