import { ControlBase } from "../Bases/ControlsBase";
import { CompoundControl } from "../Bases/CompoundControl";
import { ButtonControl } from "./CandyControls/Action/ButtonControl";
import { DropdownControl } from "./DropdownControl";
import { MenuItemControl } from "./MenuItemControl";
export declare class PageActionsDropdownContent extends CompoundControl {
    readonly clearItem: MenuItemControl;
    readonly deleteItem: MenuItemControl;
    readonly copyItem: MenuItemControl;
    readonly enableAutoValues: MenuItemControl;
    readonly addXml: MenuItemControl;
}
export declare class PageActionsControl extends ControlBase {
    readonly clearPageButton: ButtonControl;
    readonly deletePageButton: ButtonControl;
    readonly dropdown: DropdownControl<PageActionsDropdownContent>;
}
