"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageLinkControl = void 0;
const ExtendedPromise_1 = require("../../ExtenedPromises/ExtendedPromise");
const CompoundControl_1 = require("../Bases/CompoundControl");
const FluentControlFactory_1 = require("../Bases/ControlDeclaration/FluentControlFactory");
const LinkControl_1 = require("./CandyControls/Action/LinkControl");
class PageLinkControl extends CompoundControl_1.CompoundControl {
    link = (0, FluentControlFactory_1.control)(LinkControl_1.LinkControl).asIs().in(this);
    get disabled() {
        return this.link.getProp("disabled");
    }
    click() {
        return (0, ExtendedPromise_1.extendPromise)(() => this.link.click());
    }
}
exports.PageLinkControl = PageLinkControl;
