import { ExtendedPromise } from "../../ExtenedPromises/ExtendedPromise";
import { CompoundControl } from "../Bases/CompoundControl";
import { ControlList } from "../Bases/ControlList";
import { LinkControl } from "./CandyControls/Action/LinkControl";
import { PageLinkControl } from "./PageLinkControl";
import { InputControl } from "./CandyControls/ValueEditors/InputControl";
export declare class PagerControl extends CompoundControl {
    readonly pageLinks: ControlList<PageLinkControl>;
    readonly previousLink: LinkControl;
    readonly nextLink: LinkControl;
    readonly goToPageInput: InputControl;
    get empty(): ExtendedPromise<boolean>;
    get currentPage(): ExtendedPromise<number>;
    get instanceCount(): ExtendedPromise<number>;
    goToRow(number: string): Promise<void>;
}
