import { ControlBase } from "../Bases/ControlsBase";
import { ISearchContext } from "../Bases/Selectors/ISearchContext";
import { ISelector } from "../Bases/Selectors/ISelector";
import { ControlConstructor } from "../../BrowserWrapper/BrowserPageWrapper";
export declare class PopupMenuControl<TContent> extends ControlBase {
    private readonly portal;
    constructor(context: ISearchContext, selector: ISelector, contentControl: ControlConstructor<TContent>);
    get content(): TContent;
    static withContent<T>(contentConrol: ControlConstructor<T>): ControlConstructor<PopupMenuControl<T>>;
    open(): Promise<void>;
}
