"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TooltipContentBaseControl = void 0;
const ControlsBase_1 = require("../Bases/ControlsBase");
const Selector_1 = require("../Bases/Selectors/Selector");
class TooltipContentBaseControl extends ControlsBase_1.ControlBase {
    portal;
    constructor(context, selector) {
        super(context, selector);
        this.portal = new ControlsBase_1.ControlBase(context, new Selector_1.ReactSelector("Transition"));
    }
    async getSelectorResultForChildSearch() {
        return this.portal.getSelectorResultForChildSearch();
    }
}
exports.TooltipContentBaseControl = TooltipContentBaseControl;
